Welcome

Password Safe

Koliko gesel in uporabniških imen morate poznati, si jih zapomniti? Ali je odgovor eno ali stotine, Password Safe vam omogoča varno in preprosto izdelavo zaščitenega in šifriranega seznama glavnih gesel. Eno samo Glavno geslo jih obenem vse odklene za vašo uporabo.

Varnost se začne pri uporabniku. Hranjenje pisnih seznamov gesel na papirju ali v besedilnem dokumentu na namizju ni varno in ga je mogoče enostavno gledati z očarljivimi očmi (tako tistih, ki so kibernetično zasnovane kot s človeškimi). Uporaba istega gesla znova in znova v širokem spektru sistemov in spletnih mest ustvarja scenarij nočne more, ko je nekdo odkrič vaše eno geslo, je odkril vsa vaša gesla in zdaj ima dostop do vsakega dela vašega življenja (sistem, e-pošta, zdravje, finance, delo, itn.).

Password Safe vam omogoča upravljanje z vašimi starimi gesli ter preprosto in hitro ustvarjanje, shranjevanje, organizacijo, pridobitev in uporabo zapletenih, novih gesel z uporabo Pravilnikov gesel , ki jih nadzorujete. Ko so enkrat shranjena, so vaša uporabniška imena in gesla oddaljena le nekaj klikov.

S pomočjo Password Safe lahko organizirate svoja gesla s pomočjo vaših lastnih nastavitvah po meri —Npr., z ID uporabnika, Kategorija, Spletna stran ali lokacija. Lahko izberete shranjevanje vseh vaših gesel na enem šifriranem glavnem seznamu gesel (šifrirano zbirko gesel), ali pa uporabite več podatkovnih zbirk za nadaljnjo organizacijo vaših gesel (delo in Dom, npr.). Z njegovim intuitivnim vmesnikom bo v nekaj minutah vse delovalo.


About Password Safe

O Password Safe

Password Safe Twofish algoritem šifriranja, ki ga uporablja je bil prvotno razvil in objavil v javnosti Bruce Schneier v Counterpane Labs.

Password Safe je zdaj odprtokodni projekt, ki je gostoval na sourceforge.net. Najnovejše posodobitve programa, dokumentacija in novice so na voljo na naslovu http://pwsafe.org.

Password Safe je brezplačno dostopen in se lahko distribuira pod omejitvami, ki so določene v standardu Open Source Initiative (OSI) "Artistic License 2.0." Kopija te licence je vključena z Password Safe namestitvenem paketom v datoteki z imenom LICENSE.

Twofish je hitra in brezplačna alternativa AES, DES in IDEA algoritmov za šifriranje. Podrobnosti o algoritmu Twofish, vključno s primerjavo hitrosti in obsežnem seznamu izdelkov, ki uporabljajo Twofish, so na voljo na http://www.schneier.com/twofish.html.

Prosimo, preberite Readme.txt, Changelog.txt in ReleaseNotes.txt ali ReleaseNotes.html datoteke v namestitvenem paketu, za najnovejše spremembe, popravke napak, in dodatek dokumentacije.

Vse druge blagovne znamke ali imena izdelkov so blagovne znamke njihovih ustreznih podjetij. Brez podpore ali odobritve teh podjetij, obstoječih ali implicitnih.


Password Safe and YubiKey

Password Safe in YubiKey

YubiKey je inovativna strojna avtentikacijska naprava, ki jo razvija in prodaja Yubico. Uporabniku izgleda, da je majhen, tanek disk-na-ključu, z gumbom na vrhu. Za Password Safe, deluje kot žeton za preverjanje pristnosti, ki zagotavlja močno fizično varnost zbirke podatkov z gesli. YubiKey

Pridobivanje YubiKeya

Očitno potrebujete napravo YubiKey za zagon. YubiKeye lahko kupite prek spleta od tukaj. Upoštevajte, da Password Safe potrebuje YubiKeys z različico vgrajene programske opreme (Firmware) 2.2 in višje.

Konfiguriranje vašega YubiKeya

Your YubiKey je potrebno ustrezno konfigurirati, da bi lahko delal z Password Safe. To končajte prek pogovornega okna Upravljaj->Yubikey... kot je opisano v oddelku Upravljaj meni.

Če že imate YubiKey, upoštevajte, da Password Safe uporablja režo # 2 za preverjanje pristnosti, pri čemer pusti režo # 1 za druge aplikacije.

Uporaba YubiKeya

Ko je vaš YubiKey enkrat konfiguriran, ga lahko uporabite skupaj z glavnim geslom, za zaščito vaše Password Safe zbirke podatkov, kot je opisano v Ustvarjanje Novega sefa.


Creating a New Safe

Creating and Opening a Safe

Password Safe allows users to store all passwords in a single "safe" (password database), or to create multiple databases for different purposes (e.g., one for work, one for personal use). Each database is independent and can be moved and used on different systems, as long as the same version of Password Safe is installed. Databases are encrypted with an encryption key derived from the master password (the master password, however, is not kept in the database in any form).

If you are using Password Safe for the first time, press the "New..." button. You will be asked to choose the name and location of your password database (the default, "pwsafe.psafe3", is fine). Afterwards, you will be prompted to enter a master password that is used to encrypt and lock the contents of your new safe.

Before You Begin

Password Safe works very hard to make sure you password information is saved properly. However, Password Safe cannot protect against physical damage or loss to your hard disk, laptop or PC. Therefore, we strongly recommend that you make regular copies of your password database 'off-line', that is, to another PC or disk. This can be done manually, or by using a cloud storage service such as DropBox, SugarSync or JungleDisk, to name a few.

Another thing you might want to consider is arranging for access to your password database by relatives or co-workers if you are no longer able to do so. Password Safe has no 'back door' or 'recovery password' mechanism by design. This means that you are responsible for making the master key available to others under the appropriate circumstances. This can be as simple as a sealed envelope in a drawer or safe-deposit box, or a more elaborate mechanism such as splitting the master password and giving different parts to different parties.

Create a New Database

There are two ways that a new database can be created. By clicking New... from the Safe Combination Entry dialog when the program is started, or from the "File ? New..." menu once Password Safe has been opened. Using either method causes the Safe Combination Set Up dialog to appear.

Note: By default, Password Safe will show the database last used, and displays a combination prompt for it. If you use several databases, drop-down list. Alternately, you can type in the path to the database to open, or select it from a File dialog box by pressing on the ellipsis ("...") button. Once a database is open, you can change to another via the Open... command from the File Menu.

new safe combination prompt

On checking the "Show Combination" box, the contents of old and new combination will be visible in clear and the confirmation combination edit box is disabled as no longer necessary.

Using YubiKey with PasswordSafe

Password Safe can work with a YubiKey device to provide "two factor authentication", that is, protecting your database by both something you know (your "Safe Combination" or master passphrase), and something you have (the YubiKey device). If you do not have a YubiKey device, then the YubiKey-specific buttons and texts will not be displayed by Password Safe, and the YubiKey-specific instructions below do not apply.

If your YubiKey is connected to your PC, then a "Yubikey" button and text area will appear in the Safe Combination Entry and Setup windows, as show above. This allows you to use your YubiKey to access your Password Safe database, either in addition to, or instead of a "Safe Combination". For maximum security, we recommend that your database be protected both by your YubiKey and a Safe Combination (this is known as two-factor authentication).

Setting up a Safe Combination with YubiKey

To use your configured YubiKey to protect your database:

  1. If you haven't already done so, insert your YubiKey into a USB slot on your PC. The Yubikey button on the Safe Combination window will now become active, and the text to the right of will change to "Click, then activate your YubiKey"
  2. Set up the Safe Combination as follows:
    1. If you wish to protect your database using both your YubiKey and a Safe Combination ("two factor authentication"), then first enter the Safe Combination in the "Safe Combination" and "Verify" fields, then click on the Yubikey button.
    2. If you wish to protect your database using your YubiKey only, then leave the "Safe Combination" and "Verify" fields empty, and click on the Yubikey button.
    3. Of course, you can also choose to protect the database by a Safe Combination alone, just enter the Safe Combination in the "Safe Combination" and "Verify" fields and then click on OK.
  3. Click on the Yubikey button. The "Click, then activate your YubiKey" will be replaced by a progress bar indicating the remaining time you have to activate your YubiKey (by touching the flashing green light on the device). If you do not activate your YubiKey in the allotted time (about 15 seconds), then an error message will be displayed, and you can try again or cancel.
  4. Once the YubiKey has been activated, your Password Safe database will be created.

Opening a database with YubiKey

To open a Password Safe database protected with your Yubikey:

  1. Make sure the desired database is selected in the "Open Password Safe" field. If it's not there, click on the ellipsis (...) and choose it.
  2. If you've chosen to protect your database using both your YubiKey and a Safe Combination, first enter the Safe Combination in the "Open Password Safe" field, then click on the Yubikey button. If you've chosen to protect your database using your YubiKey only, then leave the "Open Password Safe" field empty, and click on the Yubikey button.
  3. When you click on the Yubikey button, the "Click, then activate your YubiKey" will be replaced by a progress bar indicating the remaining time you have to activate your YubiKey (by touching the flashing green light on the device). If you do not activate your YubiKey in the allotted time (about 15 seconds), then an error message will be displayed, and you can try again or cancel.
  4. Once the YubiKey has been activated, your Password Safe database will be opened.

Virtual keyboard

To setup a master password in a secure way, you could use accented characters (e.g. on a German keyboard) such as ü, ß or similar. To realize the input of such characters, you would need a foreign keyboard. Such a keyboard is available as a virtual keyboard. This keyboard is then used to simulate all available foreign characters. The virtual keyboard can be shown by clicking on the Symbol virtual keyboard symbol. Foreign characters, that are not available at the physical keyboard, can be put in in this way. So you can build your desired master password. Even pieces of the master password can be built this way.

Input a password with a virtual keyboard


Using Stored Passwords

Uporaba shranjenih gesel

Password Safe ponuja več mehanizmov za uporabo shranjenih imen in gesel. Večina le teh zahteva kopiranje uporabniškega imena ali gesla v odložošče in nato lepljenje podatkov v zahtevano polje vnosa. Password Safe zagotavlja funkcijo Samodejna vrsta, ki avtomatizira vnose uporabniškega imena in gesla v spletni obrazec.

  1. Odpri Password Safe
  2. Izberite vnos Uporabniškega imena/Gesla, ki ga želite uporabiti
    Uporabniško ime:
  • Iz orodne vrstice izberite ikono uporabniškega imena
    ali
  • Desni klik in izberite Kopiraj uporabniško ime v odložišče
    ali
  • Uporabite Ctrl + U
    in nato Prilepi uporabniško ime v želeno polje.
    Geslo:
  • Iz orodne vrstice izberite ikono gesla
    ali
  • Desni klik in izberite Kopiraj geslo v odložišče
    ali
  • Dvoklik na izbran vnos
    ali
  • Uporabite Ctrl + C
    in nato Prilepi geslo v želeno polje.

Opomba: Uporabniška imena in gesla lahko tudi kopirate v odložošče z izbirami menija Uredi, vendar bodimo pošteni, to je prevec klikov.


Searching

Searching for a given text

Password Safe omogoča iskanje vnosov z določenim besedilom. To je uporabno, če se ne spomnite imena vnosa, vendar imate dobro idejo glede vsebine, npr. vnos z "Marija" v Opombah.

Za iskanje odprite Safe, pritisnite Ctrl-F (or "Uredi → Najdi..."). Nad vrstico stanja na dnu aplikacije je prikazana orodna vrstica okna, podobna naslednji:

Najenostavnejši način za to je vnos besedila, ki ga iščete. Nato pritisnite Enter ali kliknite ikono lupe, na desni strani besedilnega polja. Število ujemajočih vnosov (če obstajajo) bo prikazano na desni strani orodne vrstice in bo izbran prvi poudarjen vnos. Če pritisnete Enter (ali kliknete na lupo), se premaknete na naslednji ujemajoči vnos. Ko so vsi vnosi izbrani, Password Safe se bo hitro vrnil na prvega.

Funkcijska tipka F3 izvede ponovitev iskanja. Samo pritiskajte tipko F3, da najdete naslednji vnos, ki ustreza vašim merilom. Držite tipko Shift navzdol, ko pritisnete na funkcijsko tipko F3, v vnosu zbirke podatkov bo aplikacija našla prejšnji vnos v skladu z vašimi kriteriji, namesto naslednjega. Če kliknete na ikono lupe, lahko poiščete prejšnjo ujemanje tudi s pritiskom na tipko Shift.

  • Za zapiranje orodne vrstice Najdi, kliknite na 'x' levo od vpisanega besedila.
  • Privzeto je iskanje občutljivo na male/VELIKE črke. Za preklop med iskanjem, ki je občutljivo na m/V črke od tistega, ki ni občutljivo na m/V črke, pritisnite na gumb 'AA', ki se spremeni v 'Aa', ko je iskanje občutljivo na male/VELIKE črke.
  • Če želite opraviti bolj napredno iskanje kot je omejitev iskanja na podmnožico vnosov, določite katera polja želite uporabiti za iskanje itd., nato kliknite na "...".
  • Za izdelavo poročila o rezultatih vašega iskanja, pritisnite na ikono Ustvari poročilo iskanja.
  • Če želite počistiti iskano besedilo, kliknite gumb radirke.


Upgrading From Previous Versions of Password Safe

Nadgradnja iz prejšnjih različic Password Safe

Za podporo novih funkcij in izboljšanje varnosti, format zbirke podatkov, ki se uporablja a shranjevanje vnosov in nastavitev, je bila spremenjen med glavnimi različicami. Vendar pa je bilo veliko truda posvečeno zagotavljanju samodejne in pregledne nadgradnje:

  • Različica 1.x Password Safe lahko bere samo zbirke podatkov, ki so bile ustvarjene z različico 1.x.
  • Različica 2.x Password Safe lahko bere zbirke podatkov, ki jih sama ustvari, in ustvarjene z različico 1.x Password Safe
  • Različica 3.x Password Safe lahko bere zbirke podatkov, ki so jih ustvarile vse prejšnje različice.

V vseh primerih, zabranje zbirk podatkov, ustvarjenih s prejšnjo različico Password Safe, jo samo odprite kot katero koli vašo zbirko podatkov. Vnosi bodo običajno prikazani, z možnimi vrednostmi "neznano" v poljih, ki v prejšnjih različicah niso bila podprta (npr. datum ustvarjanja vnosa).

Ko shranite takšno zbirko podatkov, boste opozorjeni na dejstvo, da nova zbirka podatkov bo berljiva s prejšnjo različico Password Safe.

Ustvarjanje prejšnjih različic zbirk podatkov

Ustvarite lahko različice zbirk podatkov, ki bodo berljive s starejšo različico Password Safe z izrecnim izvozom v želen format (Datoteka → Izvozi v in izberite V1 format... ali V2 format...). Upoštevajte, da izvožene zbirke podatkov ne vsebujejo informacij, ki so bile dodane v novejših različicah. Na primer, zbirka podatkov različice 2 ne bo imela podatkov o časih spreminjanja vnosov.


A Word About Master Passwords

Beseda o Glavnih geslih

Eno od najbolj pomembnih ključnih vprašanj vaše varnosti je izbira močnega glavnega gesla vaše Password Safe zbirke podatkov. Zbirka podatkov ("Sef") vsebuje vsa vaša uporabniška imena, gesla in dodatne podatke, ki ste jih morda dodali. Izbor imena zakonca, rojstnega dneva ali kakšne druge kombinacije, ki se da z lahkoto uganiti, lahko ogroža vaše občutljive podatke. Pomembno je, da izberete težko glavno geslo za ugibanje, ki pa ga sami z lahkoto zapomnite.

Password Safe ima vgrajeno preverjanje, zakaj meni, da je šibko glavno geslo. Na splošno, glavno geslo (kot vsako geslo) mora biti sestavljeno iz mešanih črk, z vsaj eno številko ali posebnim znakom (na primer tisti, ki so nad tipkovnicami nad številkami). Če je vpisano glavno geslo, ki ga program šteje za šibkega, po pozval za vašo potrditev. Izberete lahko možnost, da sprejmete prvotno vneseno (šibko) geslo ali vnesite novega.

Če želite spremeniti glavno geslo, glejte Spreminjanje Glavnih gesel.

Opomba: V Password Safe ni mehanizma za pridobitev izgubljenih ali pozabljenih varnih gesel.

To je namerna odločitev, ker vsak mehanizem za pridobivanje izgubljenih gesel predstavlja varnostno luknjo, ki jo je mogoče zlorabiti.


User Names and Passwords

User Names, Passwords, and Groups: Basic

Username, passwords and groups together with the additional parameters are managed in 4 tabs:

  • Basic: all necessary elements for password management
  • Additional: additional specifications, including history
  • Dates and Times: expiry and statistics
  • Password Policy: specific differences to the default

Most labels in the Basic and Additional Property Pages are Smart Labels. This means that when you click on them, the current contents of the relevant field are copied to the clipboard. The label will flash green to show that the data has been copied. The currently supported labels are:

  • Basic
    • Group
    • Title
    • Username
    • Password
    • Notes
    • URL
    • Email
  • Additional
    • AutoType
    • Run Command

      • Note: By pressing the Ctrl key down whilst clicking on the AutoType and Run Command labels, variables will not be substituted in the strings before copying to the clipboard.

Basic Tab

In this tab the most important elements are combined.

Edit/View Entry

The following bits of information are associated with each password entry:

  • Group: A name for grouping (organizing) several related entries
  • Title: A friendly name for a password entry
  • User name: The user name
  • Password: The password
  • Notes: Free-form general notes field

Only the Title and Password fields are required; all others are optional.

The Notes field is intended for a short/brief amount of text and has a character limit of 30,000. Whilst it is possible to add more than this limit when the entry is added, warnings will be issued when the database is re-opened. The Notes field will be truncated to this limit if the entry is edited. However, if the entry is protected or the database is opened in read-only mode, then it can be viewed without any truncation.

The Notes field contents may be edited using an external editor by right-clicking on the field. Note however, that the contents will saved temporarily on disk in clear text. In addition, some external editors will use an existing instance to edit the temporary text file and this will cause Password Safe to immediately return leaving the data unchanged even though the temporary text file is still available in the external editor. If the external editor supports it, it is possible to specify command line parameters to force a new instance for editing the Notes field to prevent this (for example: "-multiInst" for the Notepad++ editor). See "Manage → Options → Misc.". If you do specify command line paramters, do not enclose them in quotes unless your chosen external editor requires them. The value you specify will be used as-is with no changes.

In addition, the following fields may be set in this tab:

  • URL: The URL associated with the entry. If this field is not empty, then the "Go" button is enabled. If the protocol is not specified, then "http://" is assumed (e.g., "www.foo.net" is the same as "http://www.foo.net"). The Go button to the right of the URL field is enabled if the URL field is not empty. Clicking with the Control key pressed (Ctrl+Click) will, in addition, invoke the AutoType function on the opened browser page. See the following notes for more information.
  • email: The email address associated with this entry. Note that this is meant for keeping an e-mail address associated with the site, e.g., support@myvendor.com. If the site requires an e-mail address as your login, it's much easier to set your email address in the Username field.
    If this field is not empty, then the "Send" button is enabled. Clicking on this button will invoke the default mail program with the To: field set to the specified address. See the following notes for more options.
The following notes describe the way URLs are handled in more detail:
  • By default, Password Safe will use the browser that your PC usually opens web pages with. If desired, you can specify an alternate browser by putting '[alt]' before the URL, e.g., "[alt]http://www.foo.net". This is useful, for example, if your default browser is Firefox, and you wish to access a website that works best with Internet Explorer. To configure an alternate browser, use the "Manage → Options → Misc." dialog box.
  • If '{alt}' is put before the URL, then it is passed 'as-is' to the alternate browser, that is, without adding 'http://' if no protocol is specified. This is useful if the alternate browser is a remote access application, e.g., an SSH client. [ssh] will achieve the same effect.
  • If '[autotype]' is found before the URL, then after the URL has been displayed/actioned, Password Safe then performs the AutoType action using this entry's AutoType field, or the default value if not specified.
The email address is according to the standard rules (per RFC 2368):
  • The address can be one or more valid email addresses separated by a semicolon, using 'Internet-safe characters. Use %20 for the space character.
  • The address can be followed by one or more name-value pairs. The first pair should be prefixed by a "?" and any additional pairs should be prefixed by an ampersand (&). The name can be one of the following strings:
    • subject - followed by text to appear in the subject line of the message.
    • body - followed by text to appear in the body of the message.
    • CC - followed by addresses to be included in the "cc" (carbon copy) section of the message.
    • BCC - followed by addresses to be included in the "bcc" (blind carbon copy) section of the message.

    Example: user@example.com?subject=Message Title&body=Message Content"

Creating a New User Name and Password Entry

  1. Open the database where you wish to place the new entry
  2. From the Edit menu, select Add Entry
  3. Enter information into the Edit/View Entry dialog fields as necessary
Note: If a Group name is selected and then a new entry added, that entry will have that Group name prefilled in the Edit/View Entry dialog. If a name of a new group is added to the Group field, that Group will be created.

Generating and Editing Passwords

If you wish, you can enter your own password into the password field manually, or you can have Password Safe generate a new one based on the current Password Policy. To have Password Safe generate a password, just click on Generate in the Edit/View Entry dialog. If you're unhappy with the result, you can click on Generate again, or edit the password manually.

Note: If you're using a "single sign-on" system that allows you to share the same password across different machines/servers/applications, etc. you can setup Password Safe entries accordingly, so that changing one password affects all other related entries. This is called "aliasing" entries, and is explained in detail here.

Editing Existing Entries

  1. Select the entry to edit from the list
  2. Select Edit/View Entry from the Edit menu

Editing Existing Entries via the Tree View

  1. Select the entry to edit from the list then:
  2. Select Edit/View Entry from the Edit menu OR
  3. Right-click on the entry and select Edit/View Entry from the context menu
  4. You can change the fields that are displayed in the tree view directly. To do so:
    • Right-click on a group and select Rename Group from the context menu OR
    • Press the shortcut key to rename (default F2) and overtype the displayed text (format is "title [username] {password}").
Notes:
  1. By default, usernames and passwords are not displayed in the Tree View. Displaying the username and the password are controlled by preferences (see: Display Tab). They work in a hierachy i.e. passwords can only be displayed if usernames are displayed.
  2. Also by default, passwords are obscured when editing the entry. To see the password associated with the entry click Show Password when editing it.
  3. The title and password are the only mandatory fields for an entry. Therefore, if they are ommited during rename, they will retain their previous values. However, you may clear the username field, as long as it is being displayed, by entering "[]" during the rename implying an empty value.
  4. Since square and curly brackets are used to delimit the username and password, it is NOT possible to rename an entry in place (e.g. using F2) if the title, username (if displayed) or password (if displayed) contain any of these characters. Instead, you must Edit the entry either via the Edit menu or by the right-click context menu as indicated above.

Add a New Group via Tree View

  1. Select Add Group from the Edit menu
  2. Enter the Group name

Edit a Group Name

  • Right-click on the group and select Rename Group from the context menu or
  • Select the group and press the shortcut to rename (default F2) and overtype the group name.
Notes:
  1. Group names can be "nested" i.e. placing a group name within/under another group name.
  2. A group cannot be renamed to multiple groups through the Rename Group menu item or shortcut, i.e., group "a" cannot be renamed to "x.y".

Protected Entries

If the entry is protected, you will not be able to change any fields until you unprotect the entry via the Edit menu or right-click context menu. Protected entries will be indicated in red at the bottom of this tab.

Edit/View Entry


User Names and Passwords

User Names, Passwords, and Groups: Additional

Username, passwords and groups together with the additional parameters are managed in 4 tabs:

  • Basic: all necessary elements for password management
  • Additional: additional specifications, including history
  • Dates and Times: expiry and statistics
  • Password Policy: specific differences to the default

Additional Tab

  • AutoType: If this field is not empty, then its content replaces the default value for the AutoType function (which is displayed above and comes from either the Password Safe default or this database's default as set via the "Manage → Options → Misc." tab). For more information, see the "AutoType" help topic.

  • Run Cmd: This field can be used to specify a command or program to be run via the 'Run Command' action (via the Edit menu, right-click popup menu or Ctrl-R). Password Safe is able to pass arguments to the command such as the entry's username, password, etc., as described here.

  • Double click and Shift-Double click on entry: This allows you to define what action Password Safe will take when you double-click, or double-click with Shift depressed, on an entry. The default is to copy the entry's password and username to the clipboard for double-click and shift + double-click, respectively. The default actions are set in Manage → Options → Misc. tab, and marked with "(default)" in the drop-down lists.

  • Password History: It is possible to configure Password Safe to save the last few passwords of an entry. This can be done either when the entry is created, or when viewing an existing entry. You see the recent passwords associated with the entry. You can change the number of recent passwords that are kept. For more information see the Password History page here.

  • Keyboard Shortcut: Keyboard shortcuts can be assigned to an entry and allow that entry to be immediately selected irrespective of the current display of the database by pressing the appropriate keystrokes.

    Additional notes on entry keyboard shortcuts:
    • Entry Keyboard Shortcuts are stored as part of the entry's record in the database. However, Password Safe also has keyboard shortcuts defined that correspond to its menu items. The scope of the menu item shortcuts is for all databases opened by a given user on a particular PC and can be customised by that user (Manage → Options, Shortcuts tab) and may change according to the user selected application language e.g. English, German etc.
    • Therefore, although a warning is shown if you select an entry keyboard shortcut that is currently assigned to a menu item, there may not be a conflict if you later customise the menu shortcuts or change the application display language. Similarly, an entry keyboard shortcut may not be in use when added to an entry but could become conflicted if you later customises the menu shortcuts or changes the language.
    • As entry keyboard shortcuts cannot change the database when used, unlike say a menu item shortcut that could delete an entry, as a safety measure, entry keyboard shortcuts take precedence over menu item shortcuts.
    • An entry keyboard shortcut must include the Alt or Ctrl key (with or without the Shift key). If one of these is not included when entering a value, all combinations of the Alt, Ctrl and Shift keys are tried in the order (Alt; Alt+Shift; Ctrl; Ctrl+Shift, Alt+Ctrl; Alt+Ctrl+Shift) to achieve a unique combination. For example, if the user specifies "Shift + 6", the shortcut could be changed to "Alt + Shift + 6". However, if you specify, for example, "Ctrl + 6" it will not be altered.
    • The keyboard shortcut will be removed from an entry if it is already assigned to another entry in the database, in the following cases:
      • If an entry is imported (via text or XML). Note: This will also be noted in the Import report.
      • If an entry is added during a database merge. Note: This will also be noted in the Merge report.
      • If an entry is "Dragged & Dropped" into the database from another database. This will not be the case if an entry is dragged within the same database.
      • If entries are copied to the database via the results of a database Compare dialog.
      • Any entry created via "Duplicate Group" or "Duplicate Entry" actions.

    A list of currently in use entry keyboard shortcuts will be displayed below the Password Safe program related menu shortcuts on the OptionsShortcuts tab via "Manage → Options → Shortcuts". You may double click on the keyboard shortcut in this list to Edit/View the corresponding entry. You may also add the entry keyboard shortcut column to the Flattened List view and/or create a filter to just show those entries with or without keyboard shortcuts.


User Names and Passwords

Uporabniška imena, Gesla in Skupine: Datumi in časi

Usporabniško ime, gesla in skupine skupaj z dodatnimi parametri upravljamo v 4 zavihkih:

  • Osnovno: vsi potrebni elementi za upravljanje gesel
  • Dodatno: dodatne specifikacije, vključno z zgodovino
  • Datumi in časi: potek veljavnosti in statistika
  • Pravilnik gesla: posebne razlike od privzetega

Datumi in časi zavihek

Edit/View Dates and Times
  • Geslo poteče: Za nastavitev datuma poteka veljavnosti gesla, navedite želeni datum poteka, bodisi kot absolutni datum (npr., "17. Marec 2007") ali relativno, od danes (npr., "30 dni od danes"). Ko se datum poteka začne uporabljati, Password Safe vas bo ob zagonu obvestil o tem, da je treba geslo spremeniti in označil bo ta vnos v ločeni barvi.
    Če izberete "V N dneh", potem lahko določite "Ponavljajoč se" potek veljavnosti. To bo povzročilo, da bo izračunan nov datum poteka veljavnosti gesla, na podlagi določenega števila dni, ko spremenite geslo vnosa. Na primer, če ustvarite vnos 1. januarja in navedete 5-dnevno poteklo obdobje, boste 6. januarja prejeli obvestilo o izteku. Če spremenite geslo 7. januarja, bo novi potek trajal do 12. januarja (5 dni po nastavitvi gesla).
  • Za preklic poteka veljavnosti, izberite "Brez".
  • Statistika: Ta polja samo-za branje pomagajo ohraniti sled o tem , kdaj je izbran vnos bil ustvarjen, bil opravljen zadnji dostop donj itn.

Opomba: Password Safe bo samo opozori uporabnika, ko so gesla potekla. Uporabnik je sam odgovoren za spreminjanje gesel. Tukaj zdaj obstaja menijski vnos ( "Prikaz → Prikaži vnose z datumi poteka") , ki bo poklical notranji filter, da prikaže vse te vnose z datumom izteka veljavnosti, ne glede na to, ali še ni potekel, kmalu se bo iztekel ali ježe potekel. S ponovnim izborom tega menijskega vnosa bo filter odstranjen in bo prikazan običajni prikaz.

 Expired Password Filter


User Names and Passwords

Uporabniška imena, Gesla in Skupine: Pravilnik gesla

Uporabniška imena, gesla in skupine, skupaj z dodatnimi parametri upravljamo v 4 zavihkih:

  • Osnovno: vsi potrebni elementi za upravljanje gesel
  • Dodatno: dodatne specifikacije, vključno z Zgodovino
  • Datumi in časi: potek in statistika
  • Pravilnik gesla: posebne razlike od privzetega

Pravilnik gesla Zavihek

Edit/View Password Policy

Če ne želite uporabiti privzetega Pravilnika gesla (oglejte si Nastavitev Pravilnika gesla), v tem zavihku lahko določite drugi Pravilnik gesla, z označevanjem "Uporabi spodnji pravilnik" in nastavitvijo ustreznih elementov. Izberete lahko tudi svoj nabor simbolov za uporabo med generiranjem gesla. Ta seznam lahko nastavite tudi za celotno zbirko podatkov preko zavihka "Upravljaj → Možnosti → Pravilnik gesla" , in ga preglasite za določene vnose.


Setting a Password Policy

Nastavitev Pravilnika gesla

Pravilnik gesla opisuje pravila, ki se uporabljajo za ustvarjanje gesla - črke, obliko črk (m/V), dolžino in morebitne posebne znake. Nekatere institucije zahtevajo le male črke, druge pa zahtevajo uporabo VELIKIH črk, številke in posebne znake ter določeno minimalne dolžino. Na splošno je dobra ideja, da uporabite najdaljšo dovoljeno dolžino in največjo dovoljeno kombinacijo znakov. Prosimo, preverite natančne zahteve za geslo pri subjektih, ki jih zahtevajo.

Zdaj je mogoče izbrati privzeti seznam simbolov, ki se bo uporabljal v podatkovni zbirki preko pogovornega okna "Upravljaj → Pravilniki gesel...". Poleg tega ima lahko vsak vnos svoj seznam znakov, ki je določen prek pogovornih oken Dodaj ali Uredi. Opomba: teh spodaj prikazanih simbolov ni dovoljeno uporabljati bodisi za izgovorljiva ali enostavno-za-branje gesla.

Pogovorno okno Upravljaj pravilnike gesel vam omogočanastavitev globalnih pravilnikuov ustvarjanja gesla kot tudi Poimenovanih pravilnikov gesel. Vsi ti so shranjeni v v glavi zbirke podatkov in so specifični za zbirko podatkov. Ta pravilnik lahko začasno preglasite in gesla kadarkoli ročno uredite v pogovornem oknu Uredi/Prikaži vnos .

Izbor pravil gesla

Vsak "uporabi" vnos (npr., uporabi števila, uporabi simbole, itn.) , označen v pogovornem oknu prisili Password Safe, da vključi določene znake v gesla, ki jih generira. Vsako geslo bo ustvarjeno tudi do določene dolžine (ne krajše, ne daljše). Izjema za to je samo potrditveno polje Uporabi samo šesnajstiška števila. Ko je to izbrano, bodo gesla vključevala znake, ki predstavljajo samo šesnajstiška števia. Izbor te možnosti onemogoči vsa druga potrditvena polja.

Izbira možnosti Generiraj izgovorljiva gesla bo povzročila, da Password Safe generira "nesmiselno" besedo, ki jo je potrebno izgovoriti, kot so "ingstria", "ringsony", itn. To je uporabno kadar potrebujete geslo, ki je varno in relativno preprosto možno zapomniti brez Password Safe. Izbira te možnosti z uporabi števila in/ali uporabi simbole bo omogočilo zamenjavo nekaterih črk z njihovimi "zamenjanim" ekvivalentom, npr., "E" je možno zamenjati s "3", "S" s "5", itn.

Znaki, ki so dodani, ko je označeno uporabi simbole: + - = _ @ # $ % ^ & ; : , . < > / ~ \ [ ] ( ) { } ? ! | razen uporabi samo znake enostavno-za-branje je tudi izbrano, v tem primeru so samo znaki: + - = _ @ # $ % ^ & < > / ~ \ ?

Uporabljene črke, ko je izbrano Uporabi samo znake, ki so enostavni-za-branje : a b c d e f g h i j k m n o p q r s t u v w x y z , in A B C D E F G H J K L M N P Q R T U V W X Y in števila so omejeni na 3 4 6 7 8 9.


Password History

Zgodivina gesla

Password Safe vam omogoča, da obdržite zadnja gesla, ki so bila uporabljena z določenim vnosom, skupaj z datumom, ki je bil nastavljen. To je uporabno za prikaz skladnosti s Pravilniki gesla kot je zahtevano na nekaterih delovnih mestih, in se vrniti na prejšnje geslo, če sprememba iz nekega razloga ni začela veljati. Zgodovina gesel vnosa je dostopna prek gumba na zavihku "Dodatno", v pogovornem oknu Uredi vnos.

Password History

Lahko nadzirate naslednje vidike zgodovine gesel:

Obdrži N zadnjih gesel

Če izberete to potrditveno polje,s tem vnosom bodo shranjena nedavna gesla. Določite lahko tudi, koliko gesel želite obdržati.
Opomba: Odstranitev izbire tega potrditvenega polja ne bo počistilo zgodovine. To bo samo ustavilo Password Safe, da lahko shranjuje dodatna gesla v ta vnos.

Kopiraj geslo

S klikom na vrstico na seznamu nedavnih gesel boste kopirali v odložišče geslo, prikazano v tej vrstici.

Počisti zgodovino

S klikom na ta gumb boste počistili prejšnja gesla, shranjena s tem vnosom.

Opomba: Vnos ne bo dejansko spremenjen, dokler v pogovornem oknu Uredi/Prikaži ne kliknete na gumb Vredu. Če ste pomotoma kliknili na 'Počisti zgodovino', samo kliknite na Prekliči namesto na Vredu, v pogovornem oknu Uredi/Prikaži vnos.

Kopiraj vse

S klikom na ta gumb boste kopirali seznam celotne zgodovine gesel (datumi in gesla) v odložišče.


Changing Safe Passwords

Changing Master Passwords

To change a master password ("Safe Combination"), first open up the database whose password you wish to change. Once opened, go to the Manage menu and select Change Safe Combination. The following window will be displayed:

Key Change dialog box

Note: If you do not have a YubiKey, then the YubiKey buttons will not be displayed, and you can ignore the description of their use below.

To change a master password ("Safe Combination"), first open up the database whose password you wish to change. Once opened, go to the Manage menu and select Change Safe Combination. You should enter the current master password, and then the new master password (twice, for confirmation). The master password can be entered using the physical or virtual keyboard.

Password Safe has a built in check for what it considers to be weak master passwords. In general, a master password (like any password) should consist of mixed case characters with at least one number or special character (such as those found above the number keys on a keyboard). If a master password is entered that the program considers weak, it will prompt for confirmation. You may the option to accept the originally entered (weak) password, or to enter a new one.

On checking the "Show Combination" box, the contents of old and new combination will be visible in clear and the confirmation combination edit box is disabled as no longer necessary.

For YubiKey users: In addition to changing the master password as described above, this window allows you to add or remove YubiKey authentication, add or remove additional password authentication, as well as switch the YubiKey that is used to access the current database. Following are instructions for each of these actions:

Adding YubiKey Authentication

To convert a Password Safe database that is accessed using a Master Password (Safe Combination) to YubiKey access:

  1. Enter the current Master Password in the Old Safe Combination field
  2. Insert you YubiKey
  3. If you wish, enter (and confirm) a password in the New Safe Combination and Confirmation fields.
  4. Click on the lower Yubikey button, and then activate your YubiKey.

Removing YubiKey Authentication

To change the PasswordSafe database so that it is only protected by a master password:

  1. Insert your YubiKey
  2. If you currently have a password associated with this database, enter it in the Old Safe Combination field
  3. Click on the upper Yubikey button, and then activate your YubiKey
  4. Set the New Safe Combination (and the Confirmation) to the desired value.
  5. Click on OK.

Adding/Removing/Changing Password Authentication

Password Safe can use YubiKey as the only access mechanism, or along with a conventional password. To change from one to another:

  1. Insert your YubiKey
  2. If you currently have a password associated with this database, enter it in the Old Safe Combination field
  3. Click on the upper Yubikey button, and then activate your YubiKey
  4. Set the New Safe Combination (and the Confirmation) to the desired value: Blank to remove the password, or a new password to add or replace the password.
  5. Click on the lower Yubikey button, and then activate your YubiKey.

Changing YubiKeys

To switch from one YubiKey to another:

  1. Insert the old YubiKey
  2. If you have a password associated with this database as well, enter it in the Old Safe Combination field
  3. Click on the upper Yubikey button, and then activate your YubiKey
  4. Remove the old YubiKey, insert the new one
  5. If you wish, enter (and confirm) a password in the New Safe Combination and Confirmation fields.
  6. Click on the lower Yubikey button, and then activate your YubiKey.

Notes:

  • There is no mechanism within Password Safe to retrieve lost or forgotten safe passwords. This is a deliberate design decision, since any mechanism for retrieving lost passwords poses a security hole that can be exploited.
  • Please choose a difficult-to-guess password. A trivial password, such as "password" or your name is easy to guess, and negates the security that Password Safe provides.


AutoType

Samodejna vrsta

Samodejna vrsta omogoča hitro in enostavno vnašanje podatkov o uporabniškem imenu in geslu. Ta funkcija se običajno uporablja na naslednji način:

  1. Prebrskajte spletno stran, v katero se želite prijaviti.
  2. Kliknite na prvo polje, ki ga je treba izpolniti (običajno polje 'Uporabniško ime' ali 'Prijava').
  3. Preklopite na Password Safe in izberite vnos, ki ustreza spletni strani
  4. Povabite Samodejno vrto (prek Control-T ali z desnim gumbom miške in izberite 'Izvedi Samodejno vrsto'.
  5. To povzroči vnašanje in predložitev uporabniškega imena in gesla.
Privzeto je formula, ki ji sledijo avtomatizirana tipkanja, je naslednja: uporabniško ime, ki ji sledi tipka Tab, ki mu sledi geslo, druga Tab in potem tipka Enter (uporabniško ime TAB geslo TAB ENTER). To dela za večino spletnih strani, ki zahtevajo preverjanje pristnosti uporabniškega imena/gesla.

Za spletna mesta ali aplikacije, ki zahtevajo različne podatke, lahko prilagodite obnašanje samodejne vrste kot je opisano v spodnjem razdelku Prilaggajanje Semodejne vrste. Upoštevajte, da prilagodite lahko tudi privzeto besedilo Samodejne vrste preko zavihka Razno v pogovornem oknu Možnosti. To je lahko uporabno, če je na primer privzeti čas Samodejne vrste prehiter za vaš stroj.

Poleg tegha lahko pokličete Samodejno vrsto po zagonu poljubnega ukaza, določenega v polju vnosa ZaženiCMD. To je zelo priročna kombinacija.

Opomba: Če je bil vnos izbran zaradi akcije 'Najdi', bo menijski vnos 'Izvedi Samodejno vrsto' (in njegova bližnjica, če je še vedno določena) uporabil podatke tega vnosa. Če pa nato izberete drug vnos, čeprav je še vedno poudarjen najden vnos, bodo namesto tega uporabljeni podatki o novo izbranem vnosu.

Uporaba Samodejne vrste

  1. Postavite kazalec n polje obrazca 'Uporabniško ime'
  2. Povečajte ali odprite Password Safe
  3. Izberite vnos gesla
  4. Ctrl+T ali desni klik in izberite Izvedi samodejno vrsto ali kliknite na gumb orodne vrstice, da začnete.

Prilagajanje Samodejne vrste

Za spletne strani ali aplikacije, ki nimajo polja 'Uporabniško ime', ki mu sledi polje z geslom in gumb za prijavo, lahko spremenite obnašanje tako, da izpolnite polje "Samodejna vrsta" z besedilom, ki določa želeno obnašanje, po naslednjem:

  • \u zamenja uporabniško ime, povezano z vnosom.
  • \p zamenja geslo, povezano z vnosom.
  • \q zamenja zadnje geslo, povezanim z vnosom iz zgodovine gesel vnosa, dokler je ta vnos še vedno aktiven. Če ni aktiven ali če trenutno starih gesel ni, se polje odstrani, vendar ni zamenjano z ničemer.
  • \g zamenja skupino, povezano z vnosom.
  • \i zamenja naslov, povezan z vnosom.
  • \l zamenja URL, povezan z vnosom. (to je pismo ell, ne mesto znaka '1').
  • \m zamenja e-pošto, povezano z vnosom..
  • \o zamenja vsebine (morda z več vrsticami) polja Opombe.
    • Vsi znaki na koncu vrstice '\n', '\r' or '\r\n' se pretvorijo v '\r' (carriage return).
    • Nobena zamenjava ni narejena za izhod zaporedja znotraj polja Opombe (npr. '\u', '\p' itn.) razen za zaporedje '\t', ki je zamenjano s Tab znakom in '\s' zaporedje, ki je zamenjano s "Shift+Tab".
  • \oNNN se nadomesti z vsebino vrstice nth polja Opombe
    • NNN lahko ima od enega do tri mest (npr., \o5 za 5th vrstico, \o45 za 45th, itn.
    • Če je NNN večje od števila vrstic v polju Opombe, potem to ne bo imelo učinka in nobena vrstica iz polja Opombe ne bo kopirana.
    • Če je NNN ničla potem se bodo kopirale vse vrstice, npr. \o0 je ekvivalent za \o.
    • Znaki konca vrstice niso vključeni.
    Opomba To priročen način za podporo samodejnega tipkanja za aplikacije, ki zahtevajo drugo geslo ali drugo samovoljno besedilo kot del procesa overjanja.
  • \b se zamenja s tipko 'vračalka' (backspace).
  • \t se zamenja s tipko Tab, dejansko preskoči polje na obrazcu spletne strani.
  • \s se zamenja s "Shift+Tab", v bistvu skoči nazaj na prejšnje polje.
  • \n se zamenja s tipko Enter, ki potrdi pritisk na gumb.
  • \\ se zamenja s tipko 'leva poševnica' (\).
  • \dNNN nastavi zakasnitev med znaki v NNN milisekundah, namesto privzetih 10. To spremeni zakasnitve za trenutni in vse naslednje znake. Na primer, "fast\d500slow" bo povzročilo, da bo 'hitro' vtipkano s privzeto zakasnitvijo, in črke 's', 'l', 'o', in 'w' vtipkano s pol sekundno pavzo pred vsemi. Če želite postaviti enkratno zakasnitev, ki ne vpliva na hitrost naslednjih znakov, uporabite '\w' ali '\W', kot je spodaj opisano.
    Upoštevajte, da je NNN omejen na največ tri mesta.
  • \wNNN ali \WNNN uvaja zakasnitev NNN milisekund za \w, ali sekund, če je uporabljeno \W. Na primer, "how\w500now" bo povzročilo 'kako' bo vtipkano (s privzeto hitrostjo ali kot je določeno z zadnjim \d), ki mu bo sledila pol-sekundna pavza, ki mu bo sledilo 'zdaj' z enako hitrostjo kot 'kako'). Podobno bo "how\W2now" bo uvedlo 2-sekundno pavzo med dvemi besedami. To je uporabno za natančno prilagajanje časa določenim spletnim stranem.
    Upoštevajte, da je NNN omejeno na tri mesta znakov, tako bo na primer, \w5000 ustvarilo pol-sekundno zakasnitev in nato oddalo črko'0', kar verjetno ni tisto, kar ste nameravali (\W5 čeprav bi uporabili trik.
  • \z (Samo Windows) se sklicuje na stari mehanizem Samodejne vrste. Ta mehanizem lahko nepravilno obravnava ne-latinske znake, vendar lahko Samodejna vrsta dela na določenih problematičnih spletnih straneh. Če ugotovite, da Samodejna vrsta na določeni spletni strani ne deluje pravilno, poskusite to kodo na začetku ukaznega polja Samodejne vrste. Kakorkoli, če je to polje določeno kjerkoli v nizu Samodejne vrste, to velja za celoten niz.
  • \# (Samo Windows) je popolnoma enak kot zgoraj \z razen, da vklopi/izklopi stari mehanizem Samodejne vrste Vkl/Izkl za del niza Samodejne vrste med temi kodami. Uporaba \# namesto \z lahko prepreči težave s pošiljanjem ne-latinskih znakov v druge dele nizov Samodejne vrste kot se lahko zgodi, ko uporabljate polje \z. Vendar bo \# prezrt, če je polje \z bilo podano kjerkoli v nizu Samodejne vrste.. Na primer, naslednje bo preklopilo na stari mehanizem, da pošlje Tab in presledek:
    \#\t \#
  • \c (Samo Linux) generira dogodke tiipke, ki povzroči za to platformo določen ukaz 'Izberi-vse'. To je uporbno, če je Samodejna vrsta v sporu s Samodejnim zapolnjevanjem brskalnika, kjer se obe besedili združita namesto zamenjave besedila samodejno zapolnjenega besedila z besedilom Samodejne vrste . Generiranje \c na začetku samodejne vrste znotraj polja (na samem začetku niza samodejne vrste, ali takoj po \t) zagotavlja, da se samodejno zapolnjevanje besedila nadomesti z besedilom Samodejne vrste. Za nekatere strani boste morda tudi morali uporabiti za Samodejno vrsto počasneje, za katero boste dodali \d100 na začetku vašega niza Samodejne vrste. Torej bi lahko vaš niz Samodejne vrste izgledal tako
    \d100\c\u\t\c\p\n
  • \j (Samo Linux) prične ustvarjati neodvisne dogodke tipk za modifikacijske tipke, na primer ALT, SHIFT, itn.
  • \k (Samo Linux) ustavlja generiranje neodvisnih udarcev tipk za modifikacijske tipke in samo simulira spremembe (na primer izdelava VELIKIH črk) z zastavicami do glavnih ključnih dogodkov.
  • \j in \k bi lahko bilo koristno, če ugotovite, da Samodejna vrsta ne vzdržuje občutljivosti na samodejno vpisanem besedilu, občutljivem na male/VELIKE črke ali da proizvaja nižje tipke (3 namesto #).
  • Vse drugo besedilo je vneseno kot-je.

Za Samo za Windows, so tudi implementirane naslednje posebne kontrolne kode:

\{Enter} | Enter tipka
\{Up} | Up-arrow tipka
\{Down} | Down-arrow tipka
\{Left} | Left-arrow tipka
\{Right} | Right-arrow tipka
\{Home} | Home tipka
\{End} | End tipka
\{PgUp} | Page-up tipka
\{PgDn} | Page-down tipka
\{Tab} | Tab tipka
\{Space} | Preslednica

Posebna kontrolna koda med okroglimi oklepaji ni občutljiva na male/VELIKE črke in ne vpliva na prisotnost polja "\z" Samodejne vrste.

Poleg tega se lahko naslednji modifikatorji kombinirajo z zgornjimi posebnimi kontrolnimi kodami. Ti morajo biti pred kodo in se lahko kombinirajo v v katerem koli vrstnem redu. Ono so:

! | Alt tipka
^ | Control tipka
+ | Shift tipka

Za primer:
"\{+Tab}" je ekvivalent za "Shift+Tab"
"\{+^Tab}" je ekvivalent za "Ctrl+Shift+Tab"
"\{^Home}" je ekvivalent za "Control+Home".

Bližnjice in Kratka imena

Bližnjice

Samodejna vrsta bližnjic uporablja niz Samodejne vrste njegovega osnovnega vnosa. Vrednosti, zamenjane v tem nizu, npr., \p za geslo, prihajajo za osnovni vnos bližnjice, razen za polja, ki so lahko nastavljena za njeno bližnjico in sicer njeno skupino , naslov ali uporabnika.

Kratka imena

Niz Samodejne vrste in in vse spremenljivke vnosa razen trenutnega gesla (\p) in prejšnjega gesla (\q) prihajajo iz kratkega imena vnosa. Ti prihajajo iz osnovnega vnosa kratkega imena.

Privzeta Samodejna vrsta

Privzeto zaporedje samodejne vrste v Password Safe je \u\t\p\n. To privzeto zaporedje je mogoče spremeniti preko menija Upravljaj/Možnosti (V zavihku Razno).

Primeri

Primer 1: Naslednje lahko uporabite, če morate vnesti številko bančnega računa (12345) pred uporabnikom in geslom:

12345\t\u\t\p\t\n

Primer 2: Naslednje, ki jih pošlje uporabnik, počisti polje za uporabniško ime, preden se Samodejna vrsta uporabniškega imena in gesla začne. Polja, ki niso prazna, so zelo pogosta. Nekatere spletne strani si zapomnijo uporabniško ime, tudi ko uporabnik tega ne želi, ali uporabnik pozabi počistiti, nezapomnjenega uporabniškega imena in se zaradi piškotkov v brskalniku vseeno spomni ali če prijava ni uspela iz katerega koli razloga ob prvem poskusu uporabniškega imena bo še vedno ostalo. To zaporedje Samodejne vrste naj bi zagotovilo, da uporabniku ni treba najprej izbrisati polja uporabniškega imena.

\t\s\u\t\p\n

Primer 3: Naslednje zaporedje, ki ga je tudi poslal uporabnik, spremeni potrditveno polje (npr. Onemogoči ohranjanje vašega prijave):

\#\t \#
Opomba: Morda boste potrebovali več tabov ('\t') da pridete do želenega potrditvenega polja na kateri koli določeni spletni strani. Oglejte si tudi, zgoraj o morebitnih težavah pri uporabi polja '\z'.

Opomba: Če imate težave s Samodejno vrsto, boste morda želeli onemogočiti blokatorje pojavnih sporočil drugih avtorjev. Uporabniki so poročali o težavah pri interakciji blokatorjev pojavnih sporočil s funkcijo Samodejne vrste.


Backing Up and Restoring Databases

Varnostno kopiranje in obnovitev zbirk podatkov

Ker so podatki, shranjeni v zbirki podatkov gesel, ponavadi občutljivi in pomembni, Password Safe ponuja več mehanizmov za varnostno kopiranje in obnovitev podatkovnih zbirk gesel. Ta razdelek opisuje kako ročno narediti varnostnie kopije vaše zbirke podatkov z gesli. Password Safe lahko tudi nastavite, da samodejno naredi varnostne kopije vaše zbirke podatkov kadarkoli bo ta zbirka podatkov shranjena. Takšnim varnostnim kopijam se reče vmesne varnostne kopije, in so opisane tukaj.

Naredi varnostno kopijo

Varno ustvari kopijo trenutne zbirke podatkov gesel.

  1. Kliknite na Naredi varnostno kopijo
  2. Izberite lokacijo za datoteko varnostne kopije
  3. Kliknite na Shrani

Opomba:Zelo je priporočeno, da pogosto varnostno kopirate podatkovne zbirke gesel. Tako boste zaščitili sezname gesel pred sistemskim zrušitvam ali poškodovanim datotekam. Varnostno kopiranje je šifrirano z istim glavnim geslom, kot je veljavno za varnostno kopijo trenutne zbirke podatkov. Še posebej, prek zavihka Varnostne kopije v pogovornem oknu Možnosti, lahko določite, koliko varnostnih kopij je treba ohraniti (priporočamo najmanj 3 do 5) in ali v imenu datoteke varnostne kopije želite uporabljati naraščajočo številko ali datum/čas.

Obnovi iz varnostne kopije

Obnovi varnostno kopirano datoteko zbirke podatkov gesel.

  1. Kliknite na Obnovi iz varnostne kopije
  2. Postavite se na mesto z varnostnimi kopijami in izberite datoteko zaobnovitev
  3. Kliknite na Odpri in bo prikazan poziv za geslo.
  4. Vnesite geslo zbirke podatkov in kliknite Vredu
Opombe:
  • Obnovljena zbirka podatkov ni "shranjena" s standardno Password Safe končnico zbirke podatkov (.psafe3) dokler ne izberete Shrani ali Shrani kot iz menija Datoteka. Pozvani boste, da "Shranite" zbirko podatkov in ji določite ime, če jo niste shranili pred izstopom iz aplikacije.
  • Poleg varnostnega kopiranja in obnovitve, opisanega tukaj, Password Safe samodejno ohrani kopijo zbirke podatkov, preden shranite spremembo. Kopija je shranjena v istem imeniku kot trenutna zbirka podatkov, ime pa je enako, razen končnice, ki je ".ibak" in pomeni "inkrementalna varnostna kopija", namesto ".psafe3". Oglejte si tukaj za več podatkov o samodejnih varnostnih kopijah.


Backups Tab

Zavihek Varnostno kopiranje

Zavihek Varnostno kopiranje vam omogoča nastavitve ustvarjanje in upravljanje samodejnih varnostnih kopij.

Shrani zbirko podatkov takoj po urejanju ali dodajanju

Ko je označena, zbirka podatkov bo shranjena, če pride do kakršne koli spremembe, npr. dodajanje, brisanje, podvajanje, urejanje ali preimenovanje vnosa ali skupine tudi, če bodo dodani/premaknjeni kateri koli vnosi/skupine preko uvoza ali 'Povleci in spusti'. Ko je to uporabljeno, je priporočeno omogočanje možnosti "Ustvari vmesno varnostno kopije" saj to pomaga pri zaščiti pred težavami z diskom.
Upoštevajte, da bodo narejene spremembe preko pogovornega okna 'Primerjaj rezultate zbirke podatkov' ne bo povzročilo shranjevanje zbirke podatkov za vsako akcijo ampak samo ko je bilo zaprto pogovorno okno z rezultati primerjave.

Ustvari vmesne varnostne kopije (.ibak) pred shranjevanjem

Ko je izbrano, bo Password Safe kopiraj zbirko podatkov pred vsakim shranjevanjem. Imena in mesta varnostnih kopij so določena v naslednjih poljih, kot tudi koliko prejšnjih varnostnih kopij bo shranjenih.

Ime varnostne kopije

Imena varnostnih datotek sestavljajo Osnovo (privzeto ime zbirke podatkov brez končnice .psafe3) in Pripono (nič, številka trenutne ali datum/čas varnostne kopije). Tukaj lahko konfigurirate kako bodo poimenovane varnostne kopije in koliko jih bo shranjenih. Password Safe bo samodejno izbrisal starejše zbirke podatkov, ki presegajo število varnostnih kopij, ki ste jih določili. Upoštevajte, da bo Password Safe izbrisal samo stare zbirke podatkov, če je pripona povečano število (število zagananih).

Imenik varnostnih kopij

Privzeto bo Password Safe shranjeval varnostne kopije i v istem imeniku kot se nahaja trenutno odprta zbirka podatkov. V tem polju lahko določite nadomestno lokacijo, na primer poseben imenik za varnostno kopiranje, omrežni pogon, disk-na-ključu itd. Seveda morate imeti dovoljenje za pisanje na mestu, ki ga določite.

Pri določanju nadomestne lokacije lahko uporabite tudi spremenljivke okolja na primer: "%homedrive%%homepath%\Dokumenti\PWS Backups\". Če uporabljate te spremenljivke, se bo razširjena pot prikazala pod njim, ko se pomaknete na drugi nadzor na tem zavihku.


Failsafe Backups

When Password Safe exits normally, you are prompted if there are unsaved changes to the database. However, if you log off your Windows session, shutdown or restart your PC, then Password Safe may not have the opportunity to prompt you (the exact behaviour depends on the type of shutdown and the version of Windows).

In this case, Password Safe will attempt to make a "Failsafe Backup" (file extension 'fbak'). This will be created in the same directory as the currently open database. The current database and its "regular" backups will not be touched.

When the original database is opened again, Password Safe will check for the existence of any Failsafe Backup file and, if found, will display a dialog similar to that below.

Failsafe Backup Display during Open

The first row is the specified database followed by general information about it (the same as shown in the Properties dialog from the File menu). This is followed by the Failsafe Backup file(s). If they can be opened with the same passphrase as the currently open database, then their properties are also displayed. If they have a different passphrase or are not a valid database, then a 'No' is displayed in the Passphrase column and no properties are displayed.

Your choices are as follows:

  • Continue

    Clicking on this causes Password Safe to ignore all Failsafe backup files and continue with the currently selected database.

  • Select

    The selected Failsafe Backup file will be opened instead of the currently selected database.

  • Delete

    This will delete the selected Failsafe Backup file. If Windows supports a Recycle Bin on this media (usually only local disks), it will be moved there. If not, it will be permanently deleted.

  • Exit

    If this is the first database opened on the startup of Password Safe, Password Safe will exit. If not, the new open will be cancelled and the existing opened database, if any, will remain open.

  • Help

    Displays this Help topic.

Suggestions:

  • If you are unable to choose, continue with the current database and use the database Compare function from the File menu to show the exact differences between the current and the Failsafe backup(s).
  • If you do open a Failsafe Backup and have decided that it is the version you wish to keep, you should save it as a normal database. When you do, consider renaming the original first or save the Failsafe Backup with a completely new name.
  • Once you are satisfied that you have recovered the correct database, either the original or a Failsafe Backup, you should delete any old Failsafe Backups so that you will not be prompted to decide at a later date. Note: If you use this dialog to delete these files, they will be sent to the Recycle Bin, if your version of Windows supports it on the media containing them.

Note: There is nothing that ANY application can do to save information if the PC is just switched off, loses power or the processor, the hard disk or any other component fails. As with all data important to you, you should backup your data to another media regularly. This could be to USB pen drives, external hard disks, network drives, CDs or DVDs etc. These backups should be stored somewhere safe.


Importing Entries

Uvažanje vnosov

Password Safe omogoča uvoz podatkov o geslu iz drugih formatov. Te datoteke lahko ustvarijo druge aplikacije, lahko so uvožene iz preglednice ali celo ročno napisane datoteke z uporabo Beležnice ali podobnega urejevalnika besedil.

Formati, ki jih podpira Password Safe so:

  • Besedilo
  • XML
  • KeePass V1 TXT in CSV datoteke
  • KeePass V2 preko KeePass V1 CSV datotek
  • KeePass V1 in V2 XML datoteke

Password Safe ustvari poročilo po končanem uvozu, ki povzema vse, kar je bilo storjeno in odkriva težave, ki so se med tem morda pojavile. To poročilo lahko kopirate v odložišče ali shranite na disk, kot besedilno datoteko v isti mapi kot so zbirke podatkov. Menijski vnos "Prikaz → Poročila" je lahko uporabljen za ogled poročil na kasnejši datum. Ime datoteke poročila je fiksno in je odvisno od in je odvisno od funkcije, ki ga je ustvarila. Če je ista funkcija ponovljena in se njeno poročilo shrani na disk, bo vsako obstoječe poročilo za to funkcijo prepisano. Opomba: Poročilo lahko vsebuje občutljive podatke in morate biti previdni pri izbiri možnosti "shrani na disk".

Opomba: Lahko tudi opravite 'uvoz' podnabora vnosov iz druge Password Safe zbirke podatkov, z odpiranjem druge zbirke podatkov z drugo kopijo Password Safe (ob predpostavki, da dovolite več primerkov aplikacije prek zavihka "Upravljaj → Možnosti → Sistem" ). Nato lahko preprosto povlečete in spustite vse vnose ali skupine v svojo odprto zbirko podatkov iz 'uvozi' zbirko podatkov.

Besedilni format (TXT)

Besedilne datoteke, uporabljene za uvoz vnosov gesla vsebujejo enega ali več vnosov gesla. Vsako polje znotraj vnosa je ločeno z ločilom polj in vsak vnos lahko vsebuje eno ali več vrstic. Podrobnosti o uvozu formata datoteke so opisane v razdelku "Uvoz golega besedila in Format uvoza".

Pogovorno okno Nastavitve uvoza besedila

Ločilo polj je uporabljeno v besedilni datoteki, ki se uvozi in privzeto ime skupine za uvoz novih vnosov je mogoče konfigurirati pred obdelavo datoteke.

Import Text Settings

  1. "Datoteka → Uvozi iz..."
  2. Izberite Golo besedilo...
  3. Nastavite nastavitve uvoza in parametre za besedilno datoteko, ki bo uvožena
  4. Če je bil uporabljen znak večvrstičnega ločila za polje Opombe, bodisi v prejšnjem izvozu ali v urejevalniku besedila, bo polje Opombe razdeljeno na več vrstic tako, da bo ta znak zamenjan z novo vrstico.
  5. Kliknite na gumb Vredu
  6. Izberite datoteko za uvoz.
  7. Na koncu postopka uvoza bo prikazano majhno pogovorno okno o tem koliko vnosov je bilo dodanih in koliko (če jih je bilo) neuspešno razčlenjenih.
POMEMBNO: Če je uvožen vnos, ki uporablja ime Pravilnika gesel in to ime še ni v trenutni sprejeti zbirki podatkov, bo rezultat vnosa povrnil uporabo privzetega Pravilnika gesel zbirke podatkov.
POMEMBNO: Prva vrstica datoteke, ki bo uvožena, mora biti seznam imen polj, ločen s tabulatorji, ki vsebuje vsak vnos, npr., "Skupina/Naslov Uporabniško ime Geslo URL", itn. Ta vrstica se samodejno ustvari s funkcijo "Izvozi besedilo", vendar jo je treba ročno dodati za datoteke, ki so bile ustvarjene z drugimi orodji.

XML

XML (eXtensible Markup Language) je priljubljen format za prenos podatkov med aplikacijami. Password Safe lahko uvozi XML datoteke, ki so bile določene v skladu s shemo, določeni v datoteki pwsafe.xsd, ki je zagotovljena kot del distribucije.

Ko uvozite XML v prazno zbirko podatkov, vse nastavitve zbirke podatkov na začetku XML vhodne datoteke, bodo uvožene v zbirko podatkov. Če trenutno sprejeta zbirka podatkov že vsebuje nastavitve, bodo te nastavitve prezrte.

Vendar, pa bodo vsa "Imena Pravilnikov gesel" v vhodni XML datoteki uvožena, ne glede na to, da so vnosi že v trenutno sprejeti datoteki. Upoštevajte da, če v zbirki podatkov že obstaja Pravilnik gesel z istim imenom, ta ne bo prepisan z vrednostmi v vhodni XML datoteki.

Če je uvožen vnos, ki uporablja ime Pravilnika gesel in tega imena ni niti v trenutni prejeti zbirki podatkov niti v vhodni XML datoteki, bo rezultat vnosa v zbirki podatkov povrnil uporabo Privzetega pravilnika gesel zbirke podatkov.

Sprememba kodiranja XML vrednosti datuma/časa

Prejšnje različice do PasswordSafe 3.26, so izvozile polja za datum/čas v našem lastnem formatu:

  <name>
    <date>yyyy-mm-dd</date>
    <time>hh:mm:ss</time>
  </name>

Kjer je bilo "ime" katerega koli zapisa polja datum/čas, npr. 'ctime', 'atime', 'xtime', 'pmtime', 'rmtime' in zgodovina gesla 'spremenjen' datum/čas.

Vendar od različice V3.26 dalje, bo PasswordSafe samo izvozil XML polja datum/čas z uporabo Mednarodnega W3C standardnega formata datum/čas ampak za različice nad 3.27, bo sprejel samo W3C standard.

W3C standard za XML polja datum/čas je:

  <namex>yyyy-mm-ddThh:mm:ss</namex>

Kjer imamo spremenjeno "ime" za razlikovanje polj iz starega formata z dodajanjem 'x' in je tako 'namex' je kateri koli zapis datum/čas polja kot npr. 'ctimex', 'atimex', 'xtimex', 'pmtimex', 'rmtimex' in datum/čas zgodovine gesel 'changedx'.

Za uvoz starega formata XML datoteke s polji datum/čas, morate ročno urediti ta polja za pretvorbo starega PasswordSafe formata v W3C standard formata.

KeePass V1 TXT in CSV datoteke

Priporočen uvoz vnosov KeePass V1 zbirke podatkov je preko XML, kot je opisano spodaj.

Besedilna (TXT) datoteka

Uvozite lahko tudi datoteko TXT, izvoženo iz Keepass V1 (preizkušeno na ustvarjenih datotekah z V1.19b).

Naslednja polja so pretvorjena v Password Safe ekvivalente:

Vsak novi vnos se začne z začetno vrstico s '[' in konča s kot ']'. Besedilo med njimi bo uvoženo kot 'Naslov' tega vnosa.

Vsak del informacije je v eni vrstici in naslednji znaki so na začetku vsake vrstice:

  • "Skupina: " postane Skupina vnosa
  • "Skupinsko drevo: " postane hierarhija skupine vnosov v korenu
  • "Uporabniško ime: " postane Uporabniško ime vnosa
  • "Geslo: " postane Geslo vnosa
  • "URL: " postane URL vnosa
  • "Opombe: " postanejo Opombe vnosa
  • "UUID: " postane notranji unikaten ID Password Safe vnosa
  • "Čas nastanka: " postane čas ustvarjanja vnosa
  • "Zadnji dostop: " postane čas zadnjega dostopa do vnosa
  • "Zadnja sprememba: " postane čas zadnje spremembe gesla in vnosa
  • "Poteče: " postane datum poteka veljavnosti vnosa

Naslednja polja so trenutno prezrta:

  • "Ikona"
  • "Opis priloge"
  • "Priloga" - NE izvozi tega polja, ker lahko naredi ekstremno velik izvoz.

Upoštevajte, da morajo biti časi v Password Safe pred 13. januarjem 2038. Vsak kasnejši datum bo trenutno obravnavan kot neveljaven in združeno polje ne bo nastavljeno.

Prosimo, upoštevajte, da MORATE označiti potrditveno polje "Kodiraj/zamenjaj znake nove vrstice z '\n'" med izvozom iz Keepass V1, ker uvoz morda ne bo uspel ali bo dal nepričakovane rezultate.

CSV datoteka

Prav tako lahko uvozite datoteko s CSV (ločeno z vejico), ki je bila izvožena s Keepass V1 (preizkušenna na datotekah, ustvarjenih z V1.19b).

Naslednja polja se pretvorijo v Password Safe ekvivalente:

  • "Skupine gesel" postane Skupina vnosa
  • "Skupinsko drevo" postane hierarhija skupine vnosov v korenu
  • "Račun" postane Naslov vnosa
  • "Ime za prijavo" postane Uporabniško ime vnosa
  • "Geslo" postane Geslo vnosa
  • "Spletna stran" postane URL vnosa
  • "Komentarji" postanejo Opombe vnosa
  • "UUID" postane notranji unikaten ID Password Safe vnosa
  • "Čas nastanka" postane čas ustvarjanja vnosa
  • "Zadnji dostop" postane čas zadnjega dostopa do vnosa
  • "Zadnja sprememba" postane čas zadnje spremembe gesla in vnosa/li>
  • "Poteče" postane datum poteka veljavnosti vnosa

Naslednja polja so trenutno prezrta:

  • "Ikona"
  • "Opis priloge"
  • "Priloga" - NE izvozi tega polja, ker lahko naredi ekstremno velik izvoz.

Upoštevajte, da morajo biti časi v Password Safe pred 13. januarjem 2038. Vsak kasnejši datum bo trenutno obravnavan kot neveljaven in združeno polje ne bo nastavljeno.

Prosimo, upoštevajte, da MORATE označiti potrditveno polje "Kodiraj/zamenjaj znake nove vrstice z '\n'" med izvozom iz Keepass V1, ker uvoz morda ne bo uspel ali bo dal nepričakovane rezultate.

KeePass V2 preko KeePass V1 CSV datotek

Priporočen uvoz KeePass V2 zbirke podatkov vnosov je preko XML, kot je opisano spodaj.

Password Safe ne more uvoziti nobene datoteke, ki so bile ustvarjene s KeePass V2 - tudi v formatu KeePass V1 CSV, ki je na voljo v tem programu. Vendar pa je mogoče izvoziti KeePass V2 zbirko podatkov kot KeePass V1 zbirko podatkov. To lahko potem izvozite bodisi v TXT ali CSV datoteko in uvozite, kot je opisano zgoraj.

KeePass V1 in V2 XML datoteke

Password Safe ne more neposredno uvoziti datoteke XML, ki je bila izvožena s KeePass V1 ali V2, ker so polja preveč drugačna. Kakorkoli že, smo mi predložili XSL preoblikovane datoteke (KPV1_to_PWS.xslt in KPV2_to_PWS.xslt). Spodaj navedeni programi se lahko uporabljajo za obdelavo izvožene datoteke XML z eno od teh XSLT datotek za izdelavo Password Safe združljive XML datoteke, ki jo je mogoče uvoziti v Password Safe V3.26 ali novejšo.

XSLT datoteke ustrezajo različici 1.0 XSLT kot je opisano v http://www.w3.org/TR/xslt in so bile preiskušene z XML datotekami, ustvarjenimi s KeePass različicami 1.19b in 2.15.

Upoštevajte, da morajo biti časi v Password Safe pred 13. januarjem 2038. Vsak kasnejši datum bo trenutno obravnavan kot neveljaven in združeno polje ne bo nastavljeno.

Pod operacijskim sistemom Windows, naslednji XSLT procesorji podpirajo predložene XSL preoblikovane satoteke. Predpostavimo, da so izvedeni primeri ukazne vrstice teh procesorjev:

  • Slog lista za pretvorbo datoteke XML KeePass v Password Safe XML datoteko je: KPV1_to_PWS.xslt ali KPV2_to_PWS.xslt.
  • Vodna KeePass V1 ali V2 XML datoteka je: KeePassV1.xml ali KeePassV2.xml
  • Izhodna Password Safe XML datoteka bo: PWS.xml
  • Vse vhodne in izhodne datoteke so v istem imeniku kot XSLT procesor. Če ne, boste morali vnesti celotno pot teh datotek.
  1. Program ukazne vrstice iz Microsofta (XSLT Processor Version 4.0). Lastnosti datoteke msxsl.exe navajajo, da je V1.1.0.1 in iz leta 2001, čeprav spletna stran navaja, da je V2.0 in z dne 19. septembra 2004. Trenutno je mogoče najti na http://www.microsoft.com/downloads. Zahteva se namestitev Microsoft Core XML Services (MSXML) V4.0. Čeprav je najnovejša različica MSXML V6, je V4 običajno nameščen na vseh različicah sistema Windows, ki jih podpira Password Safe.

    Za KeePass V1 XML datoteko uporabite ukaz:

    msxsl KeePassV1.xml KPV1_to_PWS.xslt -o PWS.xml
    Za KeePass V2 XML datoteko uporabite ukaz:
    msxsl KeePassV2.xml KPV2_to_PWS.xslt -o PWS.xml
  2. AltovaXML izdaja skupnosti (trenutna različica 2011r3). Poglejte http://www.altova.com/altovaxml.html.

    Za KeePass V1 XML datoteko uporabite ukaz:

    AltovaXML -xslt1 KPV1_to_PWS.xslt -in KeePassV1.xml -out PWS.xml
    Za KeePass V2 XML datoteko uporabite ukaz:
    AltovaXML -xslt1 KPV2_to_PWS.xslt -in KeePassV2.xml -out PWS.xml
  3. Saxon-HE (Domača izdaja) (trenutna različica 9.3.0.5). Poglejte http://saxon.sourceforge.net/. Obstaja tudi grafični front-end za Sakson, ki se imenuje Kernow. Poglejte http://kernowforsaxon.sourceforge.net/. Format ukaza je odvisen od tega, ali uporabljate različico Java ali .Net Saxon-HE in/ali Kernow. Dodatne informacije najdete v dokumentaciji izdelka.

Vsi ti programi so brezplačni, čeprav je Kernow treba registrirati, če ga uporabljate več kot 100-krat.

Posebna obdelava KeePass V1 XML

  • Če KeePass skupina vsebuje piko ('.'), se ta pretvori v desno poševnico ('/') med dodajanjem v Password Safe, ker so pike uporabljene kot ločila med skupinami v Password Safe.
  • Vsi znaki 'carriage return' so odstranjeni iz polja Opombe in vseh 'newline' znaki so pretvorjeni v običajno Password Safe ločilo '»', ki se uporabljajo za označevanje novih vrstic znotraj polja Opombe.
  • KeePass UUID vnosa bo bo prenesen v Password Safe vnos razen, če je že uporabljen znotraj zbirke podatkov (kar je malo verjetno), v tem primeru bo izračuna nova vrednost med uvozom.
KeePass V1 XML elementi | Password Safe ekvivalent XML elementa
<group> | <group>
<title> | <title>
<username> | <username>
<password> | <password>
<url> | <url>
<notes> | <notes>
<lastmodtime> | <pmtimex> in <rmtimex>
<creationtime> | <ctimex>
<lastaccesstime> | <atimex>
<expiretime> | <xtimex>, če KeePass <expiretime> atribut "expires" je 'true'
<image> <attachdesc> <attachment> | Te nimajo noben Password Safe ekvivalent in so prezrte

Posebna obdelava KeePass V2 XML

  • Polje '<HistoryMaxItems>' iz razdelka '<Meta>' KeePass V2 XML datoteke se uporablja kot največje število gesel za shranjevanje zgodovine Password Safe gesel vnosa. Vsa druga polja v tem razdelku so prezrta.
  • Če skupina KeePass vsebuje piko ('.'), se pretvori v desno poševnico('/'),ko se doda v Password Safe, saj so pike uporabljene kot ločilo med skupinami s to Password Safe.
  • Vsi znaki 'carriage return' so odstranjeni iz polja Opombe in vseh 'newline' znaki so pretvorjeni v običajno Password Safe ločilo '»', ki se uporabljajo za označevanje novih vrstic znotraj polja Opombe.
  • KeePass UUID vnosa bo bo prenesen v Password Safe vnos razen, če je že uporabljen znotraj zbirke podatkov (kar je malo verjetno), v tem primeru bo izračuna nova vrednost med uvozom.
  • Če je prisotno polje '<DefaultAutoTypeSequence>' znotraj KeePass skupine , se uporablja kot privzeto polje Password Safe Privzeta vrsta za vnose znotraj skupine.
  • Če je polje '<AutoType>' vnosa nastavljeno na 'True' v '<DefaultSequence>' ni prazno, potem se to uporablja kot zaporedje samodejne vrste Password Safe vnosa. Če je to nastavljeno na 'True' vendar je '<DefaultSequence>' prazno, potem se polje '<DefaultAutoTypeSequence>' iz nadrejene skupine uporablja kot zaporedje Samodejne vrste Password Safe vnosa.
  • Če ni prazno polje '<OverrideURL>', se njegova vrednost vstavi v polje Opombe s predpono "OverrideURL:" in polje URL je s predpono "[alt]".
  • Če se URL niz začne z "\\" ali "cmd://" (neobčutljivo na m/V črke) se polje postavi v ukaz Zaženi Password Safe in se opravi zamenjava 'mesta znaka' (Placeholderja). Če se v nizu URL ne prikaže nobena od teh predpon je ta postavljena v polje URL vnosa Password Safe samo s substitutom {S:FieldName}.
  • Če polje'<Tags>' ni prazno, se njegova vrednost vstavi v polje Opombe, s predpono "Tags:".

KeePass V2 izvozi vse nize, npr. Naslov, v razdelku "String" s podelementoma "Key" in "Value". Kot primer:

<String>
    <Key>Naslov</Key>
    <Value>Testni naslov</Value>
</String>

V naslednji tabeli je prikazana pretvorba teh Password Save ekvivalentov za XML elemente.

KeePass V2 niz ključev | Password Safe ekvivalent elementa XML vnosa
Naslov | <naslov>
Uporabniško ime | <uporabniško ime>
Geslo | <geslo>
URL | <url> ali <runcommand> odvisno od predpone (glejte spodaj)
Opombe | <notes>
Vs drugo | Vstavljeno v polje Opombe Password Safe, v obliki: "Ključ: Vrednost"

KeePass V2 izvozi vsa polja datum/čas, npr. čas nastanka v razdelku "Časi". Na primer:

<Times>
  <LastModificationTime>2011-05-30T14:20:57Z</LastModificationTime>
  <CreationTime>2011-05-27T18:09:29Z</CreationTime>
  <LastAccessTime>2011-05-30T14:20:57Z</LastAccessTime>
  <ExpiryTime>2999-12-28T23:59:59Z</ExpiryTime>
  <Expires>False</Expires>
</Times>

V naslednji tabeli je prikazana pretvorba teh Password Save ekvivalentov za XML element.

KeePass V2 vrednosti časa | Password Safe ekvivalent elementa XML vnosa
<Times>/<LastModificationTime> | <pmtimex> in <rmtimex>
<Times>/<CreationTime> | <ctimex>
<Times>/<LastAccessTime> | <atimex>
<Times>/<ExpiryTime> | <xtimex> if <Times>/<Expires> je 'True'

KeePass V2 lahko ustvari razdelek zgodovine, ko se karkoli spremeni v vnosu. Password Safe samo shranjuje spremembe gesla. Vse druge shranjene spremembe polj v KeePass XML elementu so prezrte.

KeePass V2 Zgodovina | Password Safe ekvivalent elementa XMLvnosa
<Times>/<LastModificationTime> | <history_entry>/<changedx>
<String[Key='Password']> | <history_entry>/<oldpassword>
Vse druge oznake iz <Zgodovine> | Prezrte

Naslednje KeePass V2 posebne kode Samodejne vrste (poglejte http://keepass.info/help/base/autotype.html) so prevedene po naslednjem. Vse kode, ki niso navedene, so kopirane takšne kot so.

KeePass V2 Samodejna vrsta | Password Safe ekvivalent
\ | \\ (escaping '\')
Tab {TAB} | \t
Enter {ENTER} or ~ | \n
Backspace {BACKSPACE}, {BS} or {BKSP} | \b
Keypad + {ADD} | +
Keypad - {SUBTRACT} | -
Keypad * {MULTIPLY} | *
Keypad / {DIVIDE} | /
+ {+} | +
^ {^} | ^
% {%} | %
~ {~} | ~
(, ) {(}, {)} | (, )
{DELAY X} Odlog X milisekund. | \wX (\WX)
{DELAY=X} Nastavi privzeti odlog za X milisekund vsem standardnim pritiskom v tem zaporedju. | \dX

Naslednj prostori za besedila KeePass V2 (placeholderji) (poglejte http://keepass.info/help/base/placeholders.html) so prevedeno po naslednjem. Vse kode, ki niso navedene, so kopirane takšne kot so..

Prostori za besedila niso občutljivi na m/V črke. Nize po meri je možno poklicati s pomočjo {S:Name}. Na primer, če zbirka podatkov vsebuje poljuben niz z imenom "eMail", ga je mogoče priklicati s prostorom za besedilo (placeholderjem) {S:eMail}.

KeePass V2 Prostor za besedilo | Password Safe Samodejna vrsta | Password Safe ukaz Zaženi
{GROUP} | \g | ${G}
{TITLE} | \i | ${t}
{USERNAME} | \u | ${u}
{PASSWORD} | \p | ${p}
{NOTES} | \o | ${n}

KeePass V2 Prostor za besedilo | Password Safe ukaz Zaženi
\{ | \\{ (escaping \)
$ | \$ (escaping $)
{GROUPPATH} | ${g}
{URL} | ${url}
{URL:RMVSCM} | ${url}
{APPDIR} | ${appdir}
{DB_PATH} | ${fulldb}
{DB_DIR} | ${dbdir}
{DB_NAME} | ${dbname}.${dbextn}
{DB_BASENAME} | ${dbname}
{DB_EXT} | ${dbextn}
Vse drugo | Nespremenjeno kopirano


Exporting Entries

Password Safe supports exporting (and importing) of the stored passwords to (and from) various formats. To export password entries use the "File → Export To" menu. The supported formats are:

  • Password Safe v1 (for use by versions 1.x of Password Safe)
  • Password Safe v2 (for use by versions 2.x of Password Safe)
  • Plain text
  • XML
  • Subsets of the database

For previous versions of Password Safe, just select the desired format and specify the name of the database file you wish to create.

In addition, to 'export' a subset of entries to another Password Safe database, just start Password Safe (assuming you permit multiple instances via "Manage → Options → System" tab) and create a new database, whilst having your normal database open in another instance. Then you can simply drag and drop any entries or groups from your open database to this 'export' database.

Export uses a Wizard interface. You may also select the Advanced field selection in order to restrict which entries you export and which field of these entries you export from your current database. See here for more details.

A report of the actions taken will be available on completion and this may be copied to the clipboard or saved to disk as a text file in the same directory as the database. The "View → Reports" menu item may then be used to view the reports at a later date. The name of the report file is fixed and dependent on the function that created it. If the same function is repeated and its report saved to disk, any existing report for this function will be overwritten. Note: The report may contain sensitive data and care should be taken when selecting the "save to disk" option.

Text Export

Note: The exported text is an unprotected copy of the specified password entries. Deleting this copy after use is not sufficient for making it inaccessible to a determined attacker and in effect bypasses the security of the program Please DO NOT use this function unless you understand and accept the risks.

Password Safe allows you to export password entries to text files. These files may then be used or modified by other applications.

You will be asked to enter the master password (safe combination) to confirm that you may export the database into a clear text unencrypted file before you can export its contents. If you're using YubiKey authentication, click on the Yubikey button, then activate your YubiKey. You will also be required to supply the name of the new file and to confirm overwriting of it if a file of the same name if it already exists in the directory you specified.

Export Text

Note: If you do not have a YubiKey, the screen shown above will not have the YubiKey button and text displayed.

You can also specify some options:

  • Password entries will be exported with a tab character between fields i.e., between the Group.Title, Username, Password and the Notes fields. The "Group.Title" is considered a single field. Any field containing a blank will be output inside double quotation characters. Only the Notes field can contain multiple line entries. The normal processing is to place each Notes line on a separate line in the exported text field. However, this makes it difficult to sort or to use when comparing two different export files. To overcome this, you may specify a delimiter to separate multiple lines when exporting them. If you are going to import a text file created with such a delimiter, then it must be specified, all the Notes lines will appear as one single line in the resulting database.
    If required, tick that you want to put all separate lines in the Notes field onto one line and enter the character to be used as the delimiter. Since the whole Notes field is enclosed between double quotation marks, this character is prohibited from being selected as the multi-line delimiter.

Advanced Text Export Options

Selecting "Advanced field selection" will display this Wizard page to allow you to export only some of the entries, based on the text in specified fields, and/or specify which fields are to be exported. See here for more details.

Note: Details on the format of the exported text file may be found in the "Plain Text Export & Import Format" section.

XML

XML (eXtensible Markup Language) is a popular format for transferring data between applications. Password Safe can export (and import) the database entries to this format. The structure (or schema) against which the data is exported and validated is defined in the file pwsafe.xsd, which is provided as part of the distribution. This file is used by Password Safe when XML data is imported, and should be provided to applications that wish to use the exported data.

Note: The exported text is an unprotected copy of the specified password entries. Deleting this copy after use is not sufficient for making it inaccessible to a determined attacker and in effect bypasses the security of the program. Please DO NOT use this function unless you understand and accept the risks.

The display of XML files is specified by pwsafe.xsl - an eXtensible Stylesheet Language file. A sample file, which may be modified for your own needs, is supplied as part of the distribution. This file is only an example and you can easily modify it to display whatever fields you want to show. As this only displays the data and will not alter it, you will still be able to import it into Password Safe at some later time.

As in the Text Export option, you can control what entries and field to export to the XML file by selecting the "Advanced field selection". This will display the following Wizard page:

Advanced XML Export Options

Selecting "Advanced field selection" will display this Wizard page to allow you to export only some of the entries, based on the text in specified fields, and/or specify which fields are to be exported. Note: that the XML schema requires the Title and Password fields, hence these cannot be deselected. See here for more details.

Subsets of the database

It is also possible to export a single entry or the members of a group to Plain Text, XML or to a current version of a Password Safe. In this case, right-click on the entry of group and select the form of output from the "Export Entry To" or "Export Group To" menu.

For Text and XML export, the options available are exactly the same as exporting the complete database above.

Lastly, if a filter is active, it is possible to export the entries that satisfy this filter to a current version of a Password Safe. This can also be found on the main "Export To" menu off the File menu.

Notes:

  1. When exporting only members of a group or the results of the current filter, if any of the included entries are aliases or shortcuts, then the associated base entries will also be exported even if it is not in the group or filtered results. This ensures that the resulting exported file is consistent.
  2. When exporting a single entry:
    1. If the entry is an alias, the password of the exported entry will be that of its base entry.
    2. If the entry is a shortcut, then only its base entry will be exported.


Filters

Filters can be accessed via the View menu.

Filter Menu

A "filter" is a criteria (or set of criteria) that an entry either matches or doesn't match. Password Safe allows you to define filters, and display only those entries that match a given filter. You can define a filter for a one-time query, or you can define several filters, naming them and store them persistently, for repeated use. Filters may be either stored along with the database, or externally, for sharing the same filter across several databases.

Defining a Filter

To define a new filter, select the "View → Filter → New/Edit Filter" menu entry. The following dialog box will be displayed:

Display Filter dialog box

As you can see, each Filter consists of one or more rows, where each row defines a criteria on a given field. The conditions defined in each row can be either "and" or "or" the condition defined in the previous row. This allows you to define the following kinds of filters:

  1. All entries with a username containing "joe" or "Joe" or "JOE":
    example1
  2. All entries with a username "Joe" (exactly) created after May 1st 2008
    example2
  3. All entries with a username containing "joe" or "mary"
    example3

As you can see, the filters can be arbitrarily complex.

The columns in the Filter table are as follows:

  • '#' - This is the row number. It's displayed for convenience, and cannot be modified.
  • '?' - The checkbox in this column determines if the row is active or not. Only active rows are used when applying the filter. Clicking on the checkbox enables/disables the row.
  • '+' - Click on this to insert a new row below a given row.
  • '-' - Click on this to delete the current row. Note: Since deleting a row is permanent, you might wish to disable it instead.
  • 'And/Or' - This allows you to determine the relation of the rule you're adding to the previous rule.
  • 'Field' - Select the entry field you're interested in, e.g., username, title, group, notes, etc.
  • 'Criteria' - Define the value you're interested in for the selected field. Once you've selected a field, clicking on this will bring up a dialog box allowing you to specify the criteria, which is the displayed in the table.

Applying a Filter

Once you've defined a filter, clicking on 'Apply' will apply the filter on the entries in the database, while leaving the Set Filter dialog box open. This is useful for fixing and refining the filter based on the results. Clicking on 'OK' will also apply the filter, but will close the Set Filter dialog box.

When a filter is active, the number of entries shown compared to the total number in the database is shown in the Status Bar and a small red and white box ( Filter Active) appears in the far right of that bar. In addition, the displayed entries are shown in red.

Expired Password Filter

Managing Filters

Set/Edit Filter is a good way to work with filters for a one-time task. If, however, you find that you have several filters that you wish to use repeatedly, then you can store them and manage them effectively via the "View → Filter → Manage..." dialog box.

Manage Filters

The Manage Filters dialog box has two tables. The upper table lists the filters, and the lower table displays the contents of the currently selected filter.

  • To add a new filter, click on New. This is equivalent to selecting the "View → Filter → New/Edit Filter" menu entry.
  • To edit an existing filter, select is and then click on Edit.
  • To apply an existing filter, click on the Apply checkbox in the desired filter's row. Note that only one filter can be applied at a given time.

Storing Filters

Filters can be stored either as part of the current database, or externally, as XML files. Storing filters externally is a good way to share filters across databases, whereas storing them as part of the database ensures that potentially sensitive information in the filters' definitions is protected.

  • To store filters in an external file: Set the Export checkbox of the filters you wish to store externally, then click on the Export button.
  • To store filters in the current database: Set the Copy to DB checkbox, and then click on the Copy button.
  • To load an externally stored filter: Click on the Import button.
Note:
Upon Startup, Password Safe searches for a file named autoload_filters.xml in the same directory as the pwsafe.cfg file (by default the directory where Password Safe is installed). If such a file exists, then it is automatically imported and the filters it contains are ready for use. This is useful if you've a set of filters that you wish to share across several databases, without having to explicitly import them each time.


Command Line Arguments

Invoking Password Safe with no arguments will cause the application to prompt you for the combination of the last database that was opened, or for the combination of a new database if none was previously opened on your machine (e.g., the first time you use Password Safe). It is, however, possible to modify this by invoking Password Safe as follows:

  • pwsafe database
    This will open the specified database file, instead of the last one opened. If just a filename is given, without a path, it will be searched for in the directory in which the application was invoked. Note that if the filename and/or path has spaces, it should be enclosed in double quotes.
  • pwsafe -r [database]
    This will open the specified database in read-only mode. If a database is not specified, then the application will prompt the user for a database, which will be opened in read-only mode.
  • pwsafe -e filename
    This will prompt the user for a passphrase, and encrypt the file with a key derived from the passphrase. Note: The file can be any file. The encrypted file will have the same name as the original file, with ".PSF" appended to it.
  • pwsafe -d filename
    This will prompt the user for a passphrase, and decrypt the file with a key derived from the passphrase. Note: This will work only on files that were encrypted by invoking pwsafe with the '-e' option (see above).
  • pwsafe -c
    This will start the application closed, that is, with no database, and without the initial opening dialog (To access a database, use the File menu).
  • pwsafe -s [database]
    This will start the application "silently", that is, minimized and with no database (unless one is specified). When the application is restored, the user is presented with the opening dialog box (This option is meant for starting the application upon login, via a shortcut in the user's Startup folder). Note: This implicitly puts the application in the system tray.
  • pwsafe -m
    This is the same as the '-c' option, with the addition that the application is started as minimized.

In addition, the following options are accepted and may be useful if you wish to share the same preferences across several machines, for example, when running Password Safe from a disk-on-key.

  • -u username
    This will cause the application to read and write preferences under the specified username, instead of under the login name.
  • -h hostname
    This will cause the application to read and write preferences under the specified hostname, instead of under the machine's name.
  • -g config_file
    This will cause the specified file to be used for loading and storing preferences, instead of the default pwsafe.cfg. If just a filename is given, without a path, it will be searched for in the directory in which the application was invoked unless overridden by the PWS_PREFSDIR environment variable (see its description in the Preferences Section). Note that if the filename and/or path has spaces, it should be enclosed in double quotes.

Note: As the configuration file uses XML, the username and hostname must satisfy the XML standards:

  • The first character must be alphanumeric. If not, a "u" will be prefixed to the username and a "h" will be prefixed to the hostname as appropriate.
  • They must only contain alphanumeric characters or one or more of the underscore, hyphen, colon or full stop characters ("_-:."). If other characters are present, they will be replaced by the underscore ("_").

Finally, there are some special command line flags beginning with "--". They are:

  • --do-tall, --do-wide, --do-auto
    By default, Password Safe will check the screen dimensions and choose tall or wide versions of the larger dialog screens. Specifying --do-tall or --do-wide forces the choice, and --do-auto resets the system to use its internal logic. Note that this sets a preference, so it's enough to use this flag once on a given machine.
  • --novalidate
    This will prevent Password Safe validating databases automatically when they are opened. Some validation is always required e.g. uniqueness of the entry's ID and the group/title/username combination.
  • --testdump
    This allows testers to verify the mini-dump production when Password Safe has a problem to help developers resolve the issue.
  • --cetreeview
    A new feature allows two entries to be selected and compared either via the Edit menu or by right-clicking on either. Selecting more than one entry is natively supported in the List view but not in the Tree view. This flag enables "Compare Entries" in the Tree view via an extra dialog to select the "other" entry. Supporting multiple selection in the Tree view is under development. Once supported, this flag will be ignored.


File Menu

The File Menu contains options related to managing and creating new Password Safe databases.

New

Create a new blank password safe database.

Open

Open an existing password safe database. When presented with the Open dialog, you may specify to open an existing database in Read/Write of Read-Only mode. After opening, the current status will be shown in the Status Bar at the bottom of the Password Safe window. At any time after this, the user may double-click on that part of the Status Bar to switch between these two modes or use a menu item on the "File" menu. It may not be possible to switch a database to Read-Write mode if another user currently has the database open in Read/Write mode. You may also use the change mode menu item further down this menu to switch modes instead of double-clicking on the Status Bar.

Close

Closes the currently open password safe database without exiting the application.

Lock

Depending on whether the user has enable the use of the System Tray, this locks the currently open password safe database either to the Task Bar (left-click to show dialog to unlock) or into the System Tray (right-click to show the context menu where you can restore the database or just unlock it). The Master Passphrase will be required to reopen/unlock the database. The Lock button can also be placed on the Toolbar using the Toolbar Customization (right-click on the Toolbar).

Recent

This section of the file menu may list the recently opened database files. This section will be blank if this is the first time Password Safe has been used.

Notes:

  • The list of recently opened files may be cleared by selecting "Clear Recent Safe List"
  • The number of recent files that Password Safe will keep may be configured via the "Manage → Options → System" tab, where you may also configure if you prefer to see the recent files in the File menu, or as a submenu.

Save

Save any changes to the current safe. If no changes have been made since the previous save, or if the database was opened read-only, this choice will be greyed-out.

Save As

Save a copy of the current safe under a new name or location.

Export To

Export the contents of the current database to an external file in either an old Password Safe database format, XML, or as text. If a filter is active, you can export those satisfying the filter conditions to a Password Safe database in the current format. In this case, if an alias or shortcut is included in the filter results, its base entry will also be exported even if it does not satisfy those conditons. See here for more information on exporting the database to other formats.

Import From

Import the contents of a previously exported or correctly formatted text file, XML, or a KeePass V1 password database into the current database. See here for more information on importing text files.

Merge

Merge a Password Safe database or backup file (.bak) into the current database. Disabled in read-only mode. Merge uses a Wizard interface. You may also select the Advanced field selection in order to restrict which entries you merge into your current database.

Compare

Compare the currently opened database with another. Compare uses a Wizard interface. You may also select the Advanced field selection in order to restrict which entries and which fields of these entries you compare between the two databases. See here for more information when the results are displayed.

Synchronize

Synchronize the currently opened database with another.

The main difference between Merge and Synchronize is that during a Merge, all elements of the merging database will be taken to the currently opened database. During synchronizing however, only elements in the currently opened database will be updated. Synchronize uses a Wizard interface. You may also select the Advanced field selection in order to restrict which entries and which fields of these entries you synchronize between the two databases.

Change to R-O / Change to R/W

A database that's open for reading and writing (the default) can be protected against unintended changes by selecting the Change to R-O entry. Likewise, a read-only database can be modified after clicking on Change to R/W. When changing to read-write, you will be prompted for the master password. You can also switch between these modes by double-clicking on the R/W / R-O text in the status bar on the bottom of the application's window.

Note: The Merge, Compare and Synchronize operations may take a long time, especially for large databases.

Properties

Display information about the currently opened password safe database, such as: format version, number of groups, number of entries, and information about when it was last saved and by whom.

Exit

Closes the Password Safe program. If changes were made to the database since the last save, you will be prompted to save the database.

Reports

Note: Compare, Export, Import, Merge and Synchronize all produce a report that can be viewed in a dialog and then copied to the clipboard or saved to disk as a text file in the same directory as the database. The "View → Reports"menu item may then be used to view the reports at a later date. The name of the report file is fixed and dependent on the function that created it. If the same function is repeated and its report saved to disk, any existing report for this function will be overwritten. Note: The report may contain sensitive data and care should be taken when selecting the "save to disk" option.


Edit Menu

Entry | Alias | Group
Menu Edit Entry | Menu Edit Alias | Menu Edit Group

Through the Edit Menu you can add, edit, use and organize user names and passwords. Note that the contents of this menu change according to what's selected in the main view (e.g., if you've selected an entry or a group). Also, some items may be disabled, as noted below.

Add Entry

Add a new user name and password. This is disabled if the database is opened read-only.
See User Names, Passwords, and Groups for more information.

Edit Entry / Expand/Collapse Group

When an entry is selected, Edit the selected user name and password. When a Group is selected (in Tree view), this will expand or collapse the display of entries under the selected group. Editing an entry is disabled if the database is opened read-only.
See User Names, Passwords, and Groups for more information.

Delete Entry / Delete Group

When an entry is selected, this will delete it. When a Group is selected (in Tree view), this will delete all entries under the selected group. Confirmation is requested if there is more than one entry in the selected group. This is disabled if the database is opened read-only.

Rename Entry / Rename Group

Rename the selected entry (or group, in Tree view). This is disabled if the database is opened read-only.

Find Entry

Find an entry containing a given text. By default, all fields except the Password field are searched.
See Searching for more information.

Duplicate Entry

Duplicates the selected entry. This is disabled if the database is opened read-only.

Add Group

Create a new password group (e.g., Banking Passwords). This is disabled if the database is opened read-only.

Undo

The last action will be reversed. Repeating Undo will undo the actions in reverse order, from last to earliest.

Redo

The last undone action(s) will be executed again.

Clear Clipboard

Clear the clipboard's memory. This clears the clipboard of anything that was pasted there by Password Safe (password, username, notes, etc.). If the current contents of the clipboard did not come from Password Safe, then this will have no effect.

Copy Password to Clipboard

Copy the current selection's password to the clipboard.

Display subset of Password

This action displays a window that allows you to specify which characters of a password to display. This is useful for sites that ask for parts of a password to login. For example, a password might be "qAdm3ddENc", and you might be asked to enter the first, third, fifth and eighth letters. This window allows you to do this in a convenient manner: In the upper field you enter the positions of the password characters you want for the subset of the password. You can use spaces, commas or semi-colons to separate the positions. The corresponding characters of the password are shown in the lower field. To quit, please use the Esc key.

Copy User Name to Clipboard

Copy current selection's user name to the clipboard.

Copy Notes to Clipboard

Copy the contents of current selection's notes field to the clipboard.

Copy URL to Clipboard

Copy the current selection's URL field to the clipboard.

Copy email to Clipboard

Copy the current selection's email field to the clipboard.

Copy Run Command to Clipboard

Copy the current selection's Run Command field to the clipboard.

Note: Variables will be substituted by their values default unless the Ctrl key is pressed down when selecting this menu item.

Browse to URL

When an entry is selected, and the entry has a URL associated with it, then this will invoke the default browser to the URL. If no entry is selected, or the selected entry's URL is blank, this command will be disabled.

Unless changed via the "Manage → Options → Security" tab, the entry's password will automatically be copied into the Clipboard.

Browse to URL + AutoType

When an entry is selected, and the entry has a URL associated with it, then this will invoke the default browser to the URL. If no entry is selected, or the selected entry's URL is blank, this command will be disabled.

Automatically input user name and password into the selected input field.
See Using AutoType for more information.

Send email

Prepare an email to be sent with the data in the current selection's email field. Please ensure that you have an email client installed on your computer.
See User Names, Passwords, and Groups for more information.

Perform AutoType

Automatically input user name and password into the selected input field.
See Using AutoType for more information.

Run Command

This will execute the command in the field Run Cmd of the selected entry.
See Using Run Command for more information.

Create Shortcut

When an entry is selected, this allows you to create a reference to the entry, typically in another group. This is useful if you have an entry that "belongs" under more than one group, but you don't wish to duplicate data. A shortcut has a distinct icon associated with it, shortcut, and by default has the name "shortcut to x", where x is the title of the original entry. Of course, you can edit the name, move or delete the shortcut, just like a regular entry.

Go to Base entry

This item will only appear for a shortcut or alias entry. After clicking Go to Base entry the corresponding base entry will be selected.

Edit Base entry

This item will only appear for a shortcut or alias entry. After clicking Edit Base entry you can edit the corresponding base entry to this shortcut or alias.

Export Entry or Group

Menu Edit Entry
  • Plain Text

    • The selected entry or all entries within the selected group will be exported as plain text. Before exporting, you will be asked to input the Master Passphrase as confirmation that you intend to export data from the database into an unencrypted text file.

  • XML format

    • The selected entry or all entries within the selected group will be exported in XML format. Before exporting, you will be asked to input the Master Passphrase as confirmation that you intend to export data from the database into an unencrypted XML file.

  • Password Safe Format

    • The selected entry or all entries within the selected group will be exported as a new Password Safe database. Before exporting, you will be asked to input the Master Passphrase as confirmation that you intend to export data from the database into another Password Safe database. You will also be required to provide a new passphrase for the new Password Safe database.

See also Exporting Entries for more information.

Protect entry / Protect All Entries

The selected entry or group of entries will be protected. A protected entry cannot be modified until it is unprotected. Protected entries are marked with a '#'.

Right mouse click actions

All functions in the Edit menu can also be reached by clicking the right mouse button on the corresponding entry, alias or group.

In addtion, when right clicking on an alias or shortcut base entry, there is an extra submenu ("Go to Aliases..." and "Go to Shortcuts...") to allow easy access to their respective dependants, i.e. aliases or shortcuts. Although, all dependants will be on the new submenu, some may be disabled if, for example, a filter is active and the entry is not visible or if there are more than the maximum of 25 dependants that can be referenced by this function.

Entry | Alias Base Entry | Shortcut Base Entry | Alias | Group
Right click Edit Entry | Right click Edit Alias Base Entry | Right click Edit Shortcut Base Entry | Right click Edit Alias | Right click Edit Group

All functionality is described in the previous section.


View Menu

View Menu

The View Menu controls the available display options. You can switch between how your entries are shown: either as a single list (Flattened List) or organized by category (Nested Tree). You can choose whether or not to display a toolbar, and if so, whether to use the 'Classic' or 'New' toolbar icons. The toolbar itself is also customizable. You can also expand or collapse all the groups displayed in the Nested Tree view, display subsets of the entries, filter the entries displayed to match any criteria, select the font in which the entries are displayed and display reports of merge, compare, import and other advanced operations.

Switching Between Nested Tree and Flattened List Views

  1. Go to the View menu
  2. Select Nested Tree or Flattened List

Controlling the Toolbars

To display or hide the toolbar, check or uncheck the Toolbar Visible menu item.
To use "new" or "classic" toolbar icons, select the "New toolbar" or "Classic toolbar" menu item, respectively.

Dragbar

The "Dragbar" is a special toolbar that allows you to paste parts of the currently selected entry by "dragging" the icon specifying the part you want to paste to where you want it to be pasted to. For example, to paste the "Notes" text of a given entry to another application using the Dragbar, select the entry, and then drag the "N" icon from the Dragbar to the application. When you release the left mouse button, the contents of the Notes field will be pasted to the application. The Dragbar will disable ("grey out") icons for fields that are empty in the selected entry.
The 'AutoType' Dragbar button behaves in a slightly different manner: Dragging it to an input area on another Window (e.g. Browser) will cause Password Safe to begin AutoType from there.

Notes:

  • There appears to be an issue using the new AutoType Dragbar image with Internet Explorer (tested with V7, V8 & V9) in that any characters typed before the first tab character are lost. This does NOT occur with Firefox and Chrome browsers. Although we have a solution for this (we send a Tab followed by a Shift+Tab to return to the selected window only when using this Dragbar AutoType image), the side-effect is that you can only use the Dragbar AutoType image to replace any existing string in that window by the expanded AutoType string. If dropped in a window of another application the result will depend on how that application processes the Tab and Shift+Tab characters.
  • If the control key is pressed while clicking on a Dragbar icon, the relevant text is copied to the clipboard in addition to being pasted when the mouse button is released. This can be useful in cases where the drop "missed" by a pixel or two, allowing you to perform a paste operation, rather than trying to drag again.

To display or hide the Dragbar, check or uncheck the Dragbar Visible menu item.

Expand All

Expands all groups, making all entries visible (Nested Tree view only).

Collapse All

Collapses all groups (Nested Tree view only).

Subviews

Subviews

"Subviews" are predefined filters that when selected, show only the entries that match their criteria.

As all filters, they can be cleared by double-clicking the red and white striped "filter active" indicator at the bottom right of the Status Bar, as can be seen in the following images where the filter is active.

1. Unsaved changes

If item Save database immediately after Edit or Add in menu Manage → Options → Backups is unchecked, changed item will not be saved immediately, but they will be shown in a different colour. See the next picture:

Overview of all entries:
Data with changes

By checking this item, only changed and unsaved items will be shown. If this filter is active and you save your database changes, it will be cancelled and the full database will be displayed.

Overview of all changed entries:
Data, only changes

Note: As long as there are some unsaved items, there will be a "*" in the status area at the bottom of the application's window.

2. Expiry dates

If you select this menu item, only entries with a defined expiry date will be shown in the list. It does not matter that the expiry date is in the past or future.

If there aren't any entries with expiry date, this menu item will be grayed out.

Expired Password Filter

3. Last Find results

If you select this menu item, only entries that were found during the last Find operation will be shown. If a Find hadn't been performed or it had been cleared, then this menu item will be grayed out. If the Find Toolbar was visible when this filter was activated, it will be closed, since no new Finds can be performed whilst this filter is active. Find Next (F3) and Find Previous (Shift-F3) will still be available.

Note: If this filter is active, as it is based on displaying entries in the database found during the last Find operation and only these, i.e. the Find operation is not redone should the database be changed. For example:

  • If an entry is edited so that it no longer satisfies the previous Find, it will still be displayed.
  • If an entry is duplicated, the new copy will not be included in the display.
  • If an entry is deleted, it will be removed from the display.
  • If the above deleted entry is reinstated, i.e. via Undo (Ctrl-Z), the entry will again be displayed.
  • If new entries are added either directly or, say, via Merge, these will also not be displayed as they were not in the database when the last Find operation was performed.

Last Find Filter

User defined Filters

A "filter" is a criteria (or set of criteria) that an entry either matches or doesn't match. Password Safe allows you to define filters and display only those entries that match a given filter. For more information on defining and using filters, see here.

Change Font

Change Fonts

Select a different font for displaying entries in the List or Tree views, and for displaying passwords in the Add and Edit Entry dialog boxes. You can also specify the font to use in the Virtual Keyboard. Note that this font must be able to display Unicode characters. Supported fonts include: "Arial Unicode MS" (which comes with Microsoft's Office suite), "Arial Unicode" and "Lucida Sans Unicode", although you may select another using the appropriate menu item.

Reports

View Reports

If you save the results of Compare, Export, Find, Import, Merge, Synchronize and Validate operations to disk, they are stored in the same directory as the database. If you repeat one of these operations and again save the report to disk, it will overwrite any previous report for this operation without requesting permission. You may view these reports at a later date when you open a database in this same directory.

Refresh F5

Refreshes the display either by pressing the F5 key or clicking on this menu item.


Manage Menu

manage menu

The Manage Menu is where all of Password Safe's options and settings are controlled.

Change Safe Combination...

Selecting this option brings up the Change Safe Password dialog.

See Changing Master Passwords for more information.

Make Backup

Create a backup copy of the current password database.

See Backing Up and Restoring Databases for more information.

Restore from Backup...

Restore a backed up password database file.

See Backing Up and Restoring Databases for more information.

Options...

Selecting Options... brings up a tabbed dialog where many of Password Safe's settings can be viewed and edited. To learn more about a specific tab select it below:

Backups Tab
Display Tab
Misc Tab
Password History Tab
Security Tab
Shortcuts Tab
System Tab
Note:
Many of the setting are stored as preferences, as described here.

Password Policies...

This allows you to manage both the database default password policy and named password policies. You may create up to 255 named password policies. The name of a password policy can be at most 255 characters long.

Customize Main Toolbar

This allows you to select which commands appear on the toolbar, and in which order.

Generate Password

This allows you to generate a password with a specified password policy to be put into the clipboard, by pushing Generate. The password in the clipboard can then be used by some other application. You may select the database default password policy, a named password policy or use a specific policy you enter into dialog.

Yubikey

This allows you to customize your optional YubiKey device so that you can use it to access your Password Safe database, as well as creating a backup YubiKey in case the original get lost or damaged.

YubiKey Configuration

To customize your YubiKey

  1. Insert your YubiKey into your PC's USB slot
  2. Select the Manage->Yubikey... menu item. The YubiKey Configuration dialog box will appear.
  3. Your YubiKey's Serial Number should be displayed. If this field is blank, make sure your YubiKey is plugged in correctly.
  4. Click on the Generate button. This will create a 20 byte random secret key that will be written to your YubiKey, and used to access your database.
  5. Click on Set Yubikey. This will write the generated key to your YubiKey, and save the data in encrypted form in your Password Safe database, so that you can use it to configure a backup key.
  6. If the configuration is successful, then the dialog box will close. If not, then an error message will appear describing the problem.
  7. Click on Close to exit the dialog box.
Note: After configuring your YubiKey, you must change the database's password to use the YubiKey for authentication as described in Changing Master Passwords

To create a backup YubiKey

  1. Insert your backup YubiKey into your PC's USB slot
  2. Select the Manage->Yubikey... menu item. The YubiKey Configuration dialog box will appear.
  3. Your backup YubiKey's Serial Number should be displayed. If this field is blank, make sure your YubiKey is plugged in correctly.
  4. Do not click on the Generate button. The data displayed in the "YubiKey Secret Key" field is the key associated with this database. This is the key that will be written to your backup YubiKey.
  5. Click on Set Yubikey. This will write the generated key to your backup YubiKey.
  6. If the configuration is successful, then the dialog box will close. If not, then an error message will appear describing the problem.
  7. Click on Close to exit the dialog box.

Change Language

Change Language

If you have installed all the currently available additional language DLLs when Password Safe was installed (which is the default), you will have the ability to switch between these languages on-the-fly via this menu item.

After changing the language, all menus, dialogs and messages will now be in your chosen language.


Help Menu

Meni Pomoč

Meni Pomoč omogoča dostop do različnih virov Password Safe.

Dobi pomoč (F1)

Odpre to datoteko pomoči.

Obišči spletno stran Password Safe...

Odpre Password Safe domačo stran v brskalniku.

Vizitka Password Safe

Ta možnost odpre pogovorno okno, ki prikazuje številko različice in obvestilo o avtorskih pravicah in vam omogoča, da preverite obstoj nove različice Password Safe. Upoštevajte, da bo zaradi vaše varnosti, Password Safe zaprl vašo zbirko podatkov preden se poveže z internetom, oz. preverjanjem obstoja novejše različice.

Password Safe About dialog box


Menu Toolbar

There are two different views available for toolbar icons: new and classic. Each of the icons visible on the toolbar provides pop up tips. Simply hover your mouse pointer over the icon and a small tip will appear. For convenience, this topic provides a quick reference for each of the icons.

Note that (as of version 3.11) you can customize which icons appear in the toolbar and the order in which they appear.

Switching Between Menu Icon Views

  1. Go the View menu
  2. Select Classic Toolbar or New Toolbar

Icon List

Classic | New | Default | Description
 |  | X | Creates a new safe to input passwords.
 |  | X | Opens a dialog to open and switch to another safe.
 |  | X | Closes the current safe.
 |  |  | Locks the current safe.
 |  | X | Saves any changes made to the current safe.
 |  |  | Saves any changes made to another safe.
 |  | X | Copies the selected entry's password to the Clipboard.
 |  | X | Copies the selected entry's user name to the Clipboard.
 |  | X | Copies the selected entry's notes to the Clipboard.
 |  | X | Erases the Clipboard.
 |  | X | Performs AutoType for selected entry.
 |  | X | Browse to entry's URL field.
 |  |  | Browse to entry's URL field and execute AutoType.
 |  | X | Adds a new user ID and password entry to the open safe.
 |  | X | Opens the currently selected password entry for editing.
 |  | X | Deletes the currently selected safe entry.
 |  |  | Toggle between List and Tree views.
 |  | X | Collapse all open groups (Tree view).
 |  | X | Expand all groups (Tree view).
 |  |  | Compare the current safe with another.
 |  |  | Merge the current safe with another.
 |  |  | Export data to a text file.
 |  |  | Export data to an XML file.
 |  |  | Import data to a text file.
 |  |  | Import data to an XML file.
 |  |  | View reports of import and merge operations.
 |  | X | Configure options.
 |  | X | Opens this help file.
 |  |  | Runs the command.
 |  |  | Display a subset of the password.
 |  |  | Manage filter.
 |  |  | Edits filter.
 |  |  | Clear and set filter.
 |  |  | Displays the Find bar.
 |  |  | Send an email.
 |  |  | Synchronizes the current safe with another.
 |  |  | 'Undo' the last action.
 |  |  | 'Redo' the last 'undone' action.
 |  |  | Manage the password policy


System Tray

No database open | Locked database | Unlocked database
Locked System Tray | Unlocked System Tray | Locked System Tray

The System Tray context menu gives quick access to recently used entries (if the database is unlocked) and to unlock the database if locked. You can also use it to minimize the main PasswordSafe window and restore it if already minimized but not locked.

Set Database ID

If you regularly keep several databases open, you may set a unique temporary ID (a number between 1 and 99) that will be superimposed on top of the System Tray icon. Setting an ID of zero will remove the number from the image.

An ID is reserved once assigned to an open database but will be free to be used again either when a new ID is assigned or the database is closed. In addition, the System Tray tooltip shows the ID before the database name.

Notes:

  • The ID is only a visual indicator. PasswordSafe doesn't store or use this in any way.
  • An ID can only be assigned to an opened database. When the database is closed, the ID is free to be assigned to another open database.
  • The same ID can't be assigned to two open databases at the same time.
  • The ID can only be changed when the database is unlocked.
  • The association of an ID to a particular database is not persistent (remembered), that is, you need to reassign it each time the database is opened (if needed, of course).
  • Since the color of the Windows Taskbar and Notification Area varies across versions of Windows, you can set the color of the text for the best contrast on your system.
  • In the enhanced tooltip, if the database is locked, the database name will be shown between square brackets as shown below.


Display Tab

Zavihek Prikaz

Funkcije znotraj zavihka Prikaz nadzorujejo kako bodo prikazani Password Safe in vnosi gesla.

Vedno ohrani Password Safe na vrhu

Če je označeno, bo povečano okno Password Safe vedno prikazano na vrhu zaslona, ne glede na to, da fokus ima kakšno drugo okno.

Prikaži uporabniško ime v prikazu drevesa

Če je označeno, bodo uporabniška imena prikazana v oglatih oklepajih, ki sledijo imenom vnosov v prikazu Vgnezdeno drevo.

Prikaži geslo v prikazu drevesa

Če je označeno, bodo gesla prikazana v zavihkih, ki se nahajajo za uporabniškim imenom v prikazu Vgnezdeno drevo. Vendar, pa je ta možnost zelo odsvetovana v okoljih kjer lahko mimoidoči vidijo monitor.

Prikaži opombe kot namige v prikazih drevesa in seznama

Če je označeno, bodo opombe prikazane pri postavljenem vnosu.

Prikaži geslo v Dodaj in Uredi

Če je označeno, gesla, ki bi sicer bila skrita v pogovornih oknih Dodaj vnos in Uredi/Prikaži vnos, bodo privzeto vidna. S klikom na gumb "Prikaži/Skrij" pogovornega okna, lahko prikažete ali skrijete geslo za določen vnos.

Prikaži opombe v Uredi

Če je označeno, bodo opombe privzeto prikazane v pogovornem oknu za urejanje. Če ne, boste morali klikniti na polje Opombe, da si tam ogledate besedilo.

Prelom besedila opomb v Dodaj in Uredi

Če je označeno, bo samodejno prikazan prelom vrstic besedila v oknu, brez vodoravnega drsnika. Če to ni označeno se bo, po potrebi prikazal vodoravni drsnik.

Prikaži mrežne črte v prikazu seznama

Če je označeno, bo na seznamu na zaslonu prikazane svetle mrežne črte, ki bodo videti kot preglednica.

Najprej postavi skupine v Prikaz drevesa

Vaši vnosi so privzeto prikazani v strogem abecednem vrstnem redu ali v drevesnem prikazu. Ko označite to možnost, bodo najprej prikazane vse skupine (po abecednem vrstnem redu), ki jim bodo sledili vsi vnosi na najvišji ravni.

Označi spremenjene vnose

Dokler ne bodo shranjeni, bodo prikazani označeni spremenjeni vnosi. Če izberete "Shrani zbirko podatkov takoj po urejanju ali dodajanju" v zavihku Varnostno kopiranje, vnosi nikoli ne bodo označeni, ker so takoj shranjeni.

Opozori N dni pred potekom veljavnosti gesla

Če je to označeno, bo Password Safe pregledal vse vnose pri branju zbirke podatkov (običajno pri zagonu) in prikazal seznam datumov njihovih prenehanj veljavnosti N dni ali manj od trenutnega datuma.

Začetni drevesni prikaz

To bo prikazano v prikazu drevesa, ko odprete zbirko podatkov.

Prosojnost okna

Privzeto je prosojnost okna onemogočena. Če to omogočite, je treba Password Safe ponovno zagnati, da sprememba začne veljati in morate nastaviti vrednost.

Če je ta možnost omogočena, vrednost predstavlja odstotek prosojnosti okna. 0% predstavlja normalno, povsem neprosojno in 100% popolnoma prosojno in nevidno okno. Niso podprte večje vrednosti od 50%. Opomba: To velja le za glavno pogovorno okno. Vsa ostala pogovorna okna, sporočilna okna in meniji bodo vedno popolnoma neprosojni.

Predlagano je, da je vrednost med 20% in 40% najbolj koristna.


Misc Tab

Zavihek razno

Misc tab

V Zavihku Razno so prikazane različne, dodatne privzete nastavitve programa.

Potrdi brisanje vnosov

Ko je izbrana ta možnost, bo prikazano pogovorno okno s pozivom uporabnika, ki zahteva potrditev vsakič, ko poskuša izbrisati vnos gesla.

Zapiši zadnji čas dostopa

Kadar je izbrana ta možnost, Password Safe snema vsakokratni čas dostopa do vnosa (npr., ko je geslo bilo kopirano ali, če je vnos bil ogledan, itn.). Čas je shranjen z vnosom in ga je mogoče ogledati v pogovornem oknu vnosa.

Opombe:
  • Kadar je to omogočeno, bo zbirka podatkov spremenjena tudi, če ni bil urejan noben vnos. To pomeni, da boste morda pozvani, da shranite svojo zbirko podatkov ob izhodu iz programa čeprav niste izrecno ničesar spremenili.
  • Kadar je zbirka podatkov odprta v načinu samo-za-branje, se časi dostopa ne posodabljajo.

Tipka Escape zapre aplikacijo

Kadar je izbrana ta možnost, se lahko tipka Esc uporablja za zapiranje Password Safe, ko je ta povečan. Upoštevajte da, če je omogočena programska vrstica (prek možnosti Postavi ikono v programsko vrstico), tedaj tipka Esc zapre samo glavno okno, ki ga je mogoče ponovno odpreti z dvojnim klikom na ikono v programski vrstici.

Akcija dvoklika

To vam omogoča, da določite, katero akcija Password Safe bo izvedena, ko dvokliknete na vnos. Privzeto je to kopiranje gesla vnosa v odložišče. Na voljo so naslednje akcije:

  • Samodejna vrsta
  • Prebrskaj v URL
  • Prebrskaj v URL + Samodejna vrsta
  • Kopiraj opombe v odložišče
  • Kopiraj geslo v odložišče
  • Kopiraj geslo v odložišče, pomanjšaj
  • Kopiraj uporabniško ime v odložišče
  • Zaženi ukaz
  • Pošlji e-pošto
  • Prikaži/Uredi izbran vnos

Upoštevajte, da zadnji vnos 'Kopirajgeslo in pomanjšaj, ne deluje po pričakovanjih, če je izbrana možnost "Počisti odložišče ob pomanjšanju" v Zavihku Varnostne možnosti.

Samodejna vrsta

  • Pomanjšaj po Samodejni vrsti Privzeto je, Password Safe pomanjšan med samodejnim vnosom. Če je počiščeno to potrditveno polje, se bo Password Safe premaknil "nazaj" namesto vseh prikazanih oken.
  • Privzeti niz Samodejne vrste Tukaj lahko določite niz Samodejne vrste, ki bo privzeto uporabljen za vse vnose. Upoštevajte, da to lahko preglasite na podlagi vsakokratnega vnosa. Ta možnost je uporabna, na primer, če želite zamenjati odloge vseh vnosov. Oglejte si tukaj več podrobnosti o Samodejni vrsti.
  • Privzeti odlog Samodejne vrste To je znesek časa v milisekundah, da PasswordSafe počaka med znaki, ko izvaja Samodejno vrsto. Privzeto, 10ms za večino sistemov mora biti dovolj. Morda ga boste želeli zmanjšati (pohitriti ga), če imate hiter računalnik, ali povečati (upočasniti ga) za starejši stroj. V vsakem primeru lahko to spremenite za posamičen vnos, kot je opisano tukaj.

Privzeto uporabniško ime

To vam omogoča, da vnesete privzeto uporabniško ime, ki bo samodejno uporabljeno vsakič, ko ustvarite nov vnos gesla. Ko je označeno, bo vneseno ime vstavljeno v polje za uporabniško ime novega vnosa, kot privzeto. Seveda ga lahko uredite, če je to potrebno.

Nadomestni brskalnik

Brskalnik, ki ga tukaj določite v tem polju bo uporabljen, ko uporabite funkcijo "Prebrskaj za" za izbran vnos, kadar URL vnosa ima "[alt]" pred URL. Na primer, "[alt]http://www.foo.net". To je koristno, na primer, če je vaš privzeti brskalnik Firefox in želite dostopati do spletne strani, ki najbolje deluje z Internet Explorerjem. V tem primeru morate Internet Explorer namestiti kot nadomestni brskalnik (običajno "C:\Program Files\Internet Explorer" iexplorer.exe)..

Lahko določite možnosti ukazne vrstice za brskalnik, preko polja parametrov ukazne vrstice. NE zaprite to vrednost z enojnim ali dvojnimi narekovaji razen, če to zahteva vaš brskalnik.

Zunanji urejevalnik

Zunanji urejevalnik, ki ga določite v tem polju, se bo uporabil, ko kliknete z desnim klikom miške na polje Opombe vnosa in izberete, če želite urediti polje z zunanjim urejevalnikom. Za več informacij si oglejte "Uporabniška imena, Gesla in Skupine: Opombe".

Lahko določite možnosti ukazne vrstice za zunanji urejevalnik preko polja Parametri ukazne vrstice zunanjega urejevalnika. Ne dodajte to vrednost v enojne ali dvojne narekovaje, če tega ne zahteva vaš izbran zunanji urejevalnik..


Saving Old Password History

Upravljanje Zgodovine gesla

password history

Ko spremenite geslo vnosa, Password Safe lahko zapiše prejšnja gesla, povezana s tem vnosom. To lahko uporabite na primer, če sprememba ne bi vplivala na stran, povezano s tem vnosom. Ta možnost določa, ali so bila nedavna gesla privzeto shranjena za nove vnose. To lahko vedno zamenjate za določen vnos v pogovornih oknih Dodaj vnos ali Uredi/Prikaži vnos.

Shrani N prejšnjih gesel na posamičen vnos

Izbira tega potrditvenega polja in nastavitev ustrezne vrednosti, določajo privzeto zadržanje gesla novih vnosov.

Upravljanje zgodovine gesel trenutnih vnosov

Ta razdelek vam omogoča spreminjanje sledenja zgodovine gesel obstoječih vnosov, po naslednjem:
  • Brez sprememb - takšno kot je.
  • Ustavi shranjevanje prejšnjih gesel - To je enakovredno čiščenju potrditvenega polja "Obdrži N zadnjih gesel" v vseh vnosih zbirke podatkov. Upoštevajte, da nobena zgodovina ne bo izgubljena: Le nadaljnje spreminjanje gesla ne bo spremljano, dokler ne bo ponovno aktivirano Shranjevanje zgodovine.
  • Začni shranjevanje prejšnjih gesel - To je enakovredno nastavitvi potrditvenega polja "Obdrži N zadnjih gesel" v vseh vnosih zbirke podatkov. Vpisi brez zgodovine bodo shranjevani do zgornjega števila gesel. Spremljane bodo spremembe vnosov z zgodovino, vendar število spremljanih vnosov pa ne bo spremenjeno.
  • Nastavi največje dovoljeno število shranjenih gesel nad vrednostjo - Vsi vnosi bodo shranjevani do zgornjega števila gesel. Vendar pa nobena zgodovina ne bo izgubljena, če ima vnos več kot to število shranjenih vnosov.


Security Tab

Zavihek Varnost

Zavihek Varnost omogoča dostop do varnostnih nastavitev, ki jih nadzira uporabnik.

Počisti odložišče ob pomanjšanju

Ko je izbrana ta možnost, bo program počistil vsebino vseh shranjenih podatkov iz odložišča (kot so, npr. gesla), ko se aplikacija pomanjša v programsko vrstico. To preprečuje vsem ali keterim koli programom, branje vsebine odložišča. Upoštevajte, da bo ta izbrana možnost skupaj z dvoklikom akcije "Kopiraj geslo v odložišče in nato takoj pomanjšaj" v zavihku Razne možnosti, pripeljalo do nepričakovanih rezultatov (geslo bo kopirano vendar bo takoj tudi počiščeno).

Počisti odložišče ob izhodu

Ko je izbrana ta možnost, bo program počistil vsebino vseh shranjenih podatkov iz odložišča (kot so, npr. gesla), ko bo vmesnik pomanjšan ali zaprt. To preprečuje vsem ali keterim koli programom, branje vsebine odložišča.

Potrdi kopiranje vnosa v odložišče

Ko je izbrana ta možnost, bo vsako krat prikazan poziv uporabniku, da potrdi kopiranje gesla iz zbirke podatkov v odložišče.

Zaklepanje zbirke podatkov

Ko je zbirka podatkov zaklenjena zaradi enega od spodnjih dogodkov, se ta shrani in vsi podatki se izbrišejo iz pomnilnika. Vendar pa se lahko ohrani dnevnik Razveljavi/Povrni tako da se spremembe lahko razveljavijo (ali povrnejo) po zaklepanju. Opomba: vsi podatki o vnosu v teh ukazih ostanejo šifrirani v pomnilniku.

  • Zakleni zbirko podatkov gesel ob pomanjšanju

    Ko je izbrana ta možnost, program zaklene zbirko podatkov gesel ob pomanjšanju aplikacije. Ko se aplikacija znova poveča za uporabo, je za dostop do zbirke podatkov potreben vpis gesla.

  • Zakleni zbirko podatkov gesel na zaklenjeni delovni postaji

    Če je izbrana ta možnost, se zbirka podatkov gesel zaklene, ko je delovna postaja zaklenjena in s tem preprečuje dostop uporabnikom, ki imajo dostop do delovne postaje.

  • Zakleni zbirko podatkov gesel po....

    Izbor te možnosti in nastavitev časa povzroči, da Password Safe znotraj aplikacije zaklene zbirko podatkov gesel po nobeni opravljeni akciji uporabnika v nastavljenem časovnem obdobju.

'Prebrskaj v URL' kopira geslo v odložišče

Privzeto Password Safe kopira gesla vnosov v odložišče, ko uporabnik izbere akcijo 'Prebrskaj v URL', zato je pripravljen za njegovo lepljenje v zahtevano polje. Vendar pa veliko spletnih strani zdaj zahteva druge podatke ali brez podatkov (npr. iskalnik). Če ta možnost ni izbrana, Password Safe ne bo med opravljenimi akcijami ničesar več prilepil v odložišče.

Odkleni težavo

Nastavitev drsnika določa količino potrebne obdelave za odpiranje in shranjevanje Password Safe zbirke podatkov. Nastavitev na Standardno zagotavlja zadostno varnost brez odloga odpiranja zbirke pomembnih podatkov na vseh platformah. Pri povečanju te vrednosti, upošteva najpočasnejši CPU, ki ga boste uporabili za dostop do zbirke podatkov.

Password Safe uporablja izviren algoritem za Raztezanje ključa (objavil ga je Bruce Schneier), ki razširi vsebino gesla z več entropije in ga zaposli z brutalno obdelavo. Drsnik nastavi število iteracij raztezanja med 2048 in 222.


System Tab

The System Tab provides access to settings that are related to Password Safe's interaction with the system on which it is running.

Put icon in System Tray

If checked, Password Safe will minimize to the System Tray area. If unchecked, the program will minimize to the task bar.

The icon in the system tray indicates whether the password database is locked ( locked) or unlocked ( unlocked). If it is locked, you will be prompted for the master combination when you try to restore it.

Remember last N used entries in System Tray menu

If the Put icon in System Tray option is enabled, you can right-click on the system tray icon to get to the most recently used entries directly, without going through the application's main screen. This option allows you to configure how many recent entries you wish to keep in the system tray icon's list. NOTE: This list is saved in the database only when a read/write database is saved or closed.

Hide System Tray icon (Hot Key MUST be active)

If checked, this will cause Password Safe to hide his icon in the system tray. This functionality will only be enabled if the Hot Key to start or reopen Password Safe is active.

Start Password Safe at Login

If checked, this will cause Password Safe to start automatically in the System tray when you log on. Note that you will be prompted for the Safe combination the first time you double-click on the System Tray icon, not before.

Recent Password Safe Databases

These controls allow you to configure how many recently opened databases are displayed in the File menu. Note that you need to exit and restart Password Safe for changes in this control to take effect.

Recent Databases on File Menu rather than as a sub-menu

This option determines how the recently opened databases are presented in the File menu - directly on the menu, or as a sub-menu.

Open database read-only by default

Setting this option will cause Password Safe to open databases in read-only mode by default. This may be useful in a multi-user environment, as by default Password Safe allows write access to the first person who opens the database, and restricts others to read-only mode. With this option, you can determine by site policy who will have write-access to a given database.

Allow multiple instances (requires all instances to be restarted)

Remove Password Safe data from Registry

Prior to version 3.05, Password Safe used the Registry to store configuration data, such as non-default options settings, last database opened, etc. As of this release, this information is split into database-specific and user/machine specific settings, with the latter being stored in a separate configuration file. Selecting this option and clicking on the Apply button will cause the registry settings to be cleared. This is useful if you wish to remove traces of Password Safe on your PC. Note, however, that this means that older versions of Password Safe will revert to default value for some of the settings.

Notes:

  • If previous versions of Password Safe have never been installed, or if the data has already been removed, then the checkbox and Apply button will not be displayed.
  • In rare circumstances, where Password Safe is unable to create or write to the configuration file, the registry will be used.

Migrate Password Safe configuration to user directory

Prior to version 3.22, Password Safe kept application preferences (such as some of the user options, last files opened, window size and location, etc.) in a file in the same directory as the Password Safe executable. This has caused problems with recent versions of Windows when users were not given write access to this directory. Therefore, as of version 3.22, the configuration file (pwsafe.cfg) will be created in the standard location for such files (in the user's 'Application Data' directory).

By default, upgrades to existing installations will not change the existing preference file ("if it ain't broke, don't fix it"). However, if a user wishes to switch to the new setting manually, selecting this checkbox and clicking on 'Apply' will do so.

In more detail: The configuration file is designed to support multiple users from multiple machines. The migration function will move the current user's settings (associated with the current PC) from the configuration file to the new location. If there are other user/machine specific configurations in the file, they will be left untouched. If, on the other hand, there are none left after migration, the empty file will be deleted.

If you wish to share a common configuration file between users and/or across different PCs, you can either keep the file in the executable directory, or specify its location explicitly using the '-g config-file' option, as described in command line arguments.


Shortcuts Tab

Zavihek Bližnjice

Shortcuts tab
Password Safe vam omogoča, da določite zaporedje tipk (bližnjice), ki izvajajo posebne operacije v aplikaciji. Ta zavihek vam omogoča nadzor in pregled bližnjic, kot sledi.

Vroče tipke aplikacije

Ko je označeno, s pritiskom na te tipke v zaporedju na desni, bo obnovilo Password Safe iz sistemske programske vrstice, če je pomanjšan, ali ga postavila na sprednjo stran, če jo zakrijet z drugimi aplikacijami. Zaporedje je mogoče spremeniti, ko je ta možnost označena.

Bližnjice programa

Če želite spremeniti bližnjico (ali dodati novo), izberite vrstico z akcijo, ki joa želite spremeniti, nato kliknite na polje 'Tipka bližnjice' za ta vnos. Vsaka izbrana kombinacija tipk bo definirana kot bližnjica za to akcijo. Na primer, da se prikaže pogovorno okno Lastnosti datotek, ko sta pritisnjeni Control, Alt in 'p', izberite vrstico "Datoteka >> Lastnosti", kliknite na polje 'Tipka bližnjice' in nato pritisnite na tipko Control Alt in tipko p. Prikazano bo besedilo 'Ctrl+Alt+P' v polju Tipka bližnjice, in ko pritisnete na Vredu, bo sprememba začela veljati. Za več podrobnosti o tipkah, ki jih lahko (in ne smejo biti) določene kot bližnjice, glejte tukaj.

Upoštevajte, da lahko določite bližnjice, kjer jih trenutno ni, in zamenjati privzete vrednosti s tistimi po vaši izbiri. Bližnjice bodo shranjene v vaši želeni datoteki in bodo na voljo ob naslednjem zagonu Password Safe.

Če se odločite za odstranitev bližnjice ali vrnitev na privzeto bližnjico za določeno akcijo, samo izberite želeno polje 'Tipka bližnjice' in desni klik. Pojavil se pojavni meni, ki vam omogoča, da to storite. Če želite povrniti vse bližnjice na njihove privzete vrednosti, kliknite na 'Ponastavi vse bližnjice programa'.

Bližnjice vnosa zbirke podatkov

Ta tabela povzema vse bližnjice, ki so pridružene določenim vnosom v trenutno odprti zbirki podatkov. Bližnjice, specifične za vnos, so določene v zavihku Dodatno vnosa. Za urejanje bližnjice, specifične za vnos, dvokliknite želeno vrstico. To bo prikazalo pogovorno okno Uredi ustreznega vnosa.


Aliases

Password Aliases

If you're using a "single sign-on" system that allows you to share the same password across different machines/servers/applications, etc. you can setup Password Safe entries accordingly, so that changing one password affects all other related entries. This is called "aliasing" entries. This section describes how to define and use such aliases.

Summary

The basic idea is to allow one entry's password to be referred to by another. The "referred to" entry is called the base, and the "referring" entry (or entries) is (are) called the alias(es). When an entry is set to be the alias of another entry, the alias's password effectively "follows" that entry's password: If you copy the alias' password to the clipboard, the password that gets copied is the base's. If you change the base's password, this is immediately reflected in all the alias entries associated with the base. Although this may sound complicated, in fact it's quite simple and intuitive to use. The hardest part is setting up the aliases, as described below.

Defining an alias

In Password Safe, an entry can refer to another's password by means of a specially formatted password in the referring entry. The format is the "name" of the referred-to entry enclosed in square brackets. Most of the time, you can think of "name" as synonymous with the title field of an entry, so if the base entry's title is "master", for example, then entering "[master]" (without the quotes) in another entry's password field is enough to define the other entry as an alias of "master".

In the general case, a "name" can contain all of the following fields, separated by colons: Group, Title and User name. Note that if the title is unique in the database, then the other fields are optional. Likewise, if the group and title together or title and user together specify a unique entry, then the corresponding user or group doesn't have to be specified.

In Password Safe entries, only the Title and Password fields are mandatory. Group and User name fields are optional as long as the resulting combination of "group/title/user name" is unique. As indicated above, the alias' "password" is in the form [g:t:u] but in fact you only have to specify enough information to uniquely identify the base entry. So, if there is only one entry in the database with title 't', then [t] would be sufficient - since title is mandatory and only one item is given, it is assumed to be the title. If there were more than one entry with this title, you would be warned that this is the case, and you would need to be more specific in order to uniquely identify the base entry by adding either its group, its user name, or both. As long as there is a matching unique entry, any of the following formats are accepted: [g:t:u], [g:t], [t:u] or [t]. Specifying a colon without a value implies an empty field, e.g. [g:t:] means an entry with title 't' in group 'g' and with no user name value and [:t:] specifies an entry with title 't' in the root with no user name value, etc.

If you change the password of an Alias (either via the Generate password button or by typing in the password field), the change will only be made when the Apply or OK button is clicked. However, if you wish to change the base entry's password, then you should edit the base entry directly. If you change the Alias's password from [g:t:u] to some other value not in this format, it will change from an alias to a "normal" entry, and will have no relation to the previous base entry. Of course, you can restore the connection by Undo, or manually editing the password.

Unlike shortcuts, which refer to the base entry for all fields, aliases have their own values for all fields except for its password, which is its base's. For example: copying the aliases URL will use the alias's value but copying the alias's password will copy its base's.

Finally, if a normal entry was saving its password history before it was made an alias by changing its password as described above, then it will retain this history. If the alias is then reverted back to a normal entry at a later date, this password history will again become active and be updated if its password is changed.

The following examples should make this clear.

Examples

  1. If the base entry's title is "LDAP Server", and there are no other entries with that title, then an alias can be defined by an entry that has "[LDAP Server]" in the password field.
  2. If there are "LDAP Server" entries in two different groups, say "Dept. A" and "Dept. B", then one can specify an alias to the latter by "[Dept. A:LDAP Server]". Note you do not have to specify the user name if the information you have provided uniquely identifies the base entry.
  3. Different user names can also be used to differentiate between similar base entries, e.g., "[LDAP Server:Joe]" and "[LDAP Server:Mary]".
  4. Finally, all three fields may be specified, as in "[Dept. A:LDAP Server:Joe]"

Display

Base entries, that is, entries with at least one alias "pointing" to them, are displayed with a green triangle instead of a green square in the nested tree view.

Alias entries are shown with grey triangles.


Plain Text Export & Import Format

Opombe o izvozu in uvozu navadnega (golega) besedila

Opozorilo: Izvoz občutljivih informacij iz Password Safe zbirke podatkov v besedilno datoteko lahko ima resne varnostne posledice. Ta postopek bo ustvaril nezaščiteno kopijo gesel v zbirki podatkov. Izbris te kopije po uporabi ni zadosten in je potrebno opraviti tudi druge dodatne ukrepe, ki bi morali ustrezno izbrisati podatke (npr. orodja za 'drobljenje', tretjih avtorjev). Izvoz občutljivih podatkov učinkovito zaobide varnost programa Password Safe.

Opomba: Funkciji Izvoz in Uvoz v/iz besedilnih datotek sta bili spremenjeni v različici V3.06. Ta stran opisuje trenuten format.

Izvoženo besedilo bo:

  • Začeto z naslovno vrstico kot prvi zapis v besedilni datoteki
  • Uporabilo ločilo za zamenjavo znaka 'nova vrstica' v večvrstičnem polju Opombe in obdobje ('.'), če je prisotno v polju Naslov. Privzeto je '»' [Alt+0187], ki se lahko po potrebi preoblikuje.

Predpostavljeno je, da se uvozi besedilo:

  • Naslovna vrstica bo kot prvi zapis v besedilni datoteki.
  • Ločilo za ponovno nastavitev znaka 'nova vrstica' v večvrstičnem polju Opombe in obdobje ('.'), če je prisotno v polju Naslov. Privzeto je '»' [Alt+0187], ki se lahko po potrebi preoblikuje.>

Naslovna vrstica za popoln izvoz podatkov trenutno privzeto vsebuje naslednja polja, ločena s Tab.

  • Skupina/naslov
  • Uporabniško ime
  • Geslo
  • URL
  • SamodejnaVrsta
  • čas nastanka
  • Čas spremembe gesla
  • Čas zadnjega dostopa
  • Datum poteka veljavnosti gesla
  • Interval poteka gesla
  • čas spremembe zapisa
  • Pravilnik gesel
  • Zgodovina
  • Ukaz za zagon
  • DCA
  • e-pošta
  • Stanje zaščite
  • Seznam simbolov za generiranje gesla
  • Opombe

Pri izvozu podatkov lahko uporabite funkcijo 'Napredno', da izključite poljubno število teh polj iz naslova vrstice in zapisov. Izbrana možnost vam omogoča tudi določitev podnizov vnosov za izvoz, kot je prikazano spodaj.

Advanced Text Export dialog box

Pri uvozu mora zagotovljena naslovna vrstica vsebovati naslove stolpcev, ki se ujemajo natanko z zgornjimi. Če bo ponovljen kateri koli naslov stolpca, bodo dodani med uvozom samo podatki podatki iz zadnjega. Če se 'glava stolpca' ne ujema z eno od zgornjih, bodo podatki v tem stolpcu med uvozom prezrti. Polja morajo biti ločena z ločilom polj, določenim za podatke v pogovornem oknu 'Uvozi besedilo'.

Opombe:
  • Za uvoz podatkov v Password Safe, polja Naslov in Geslo morata biti prisotni in ne smeta biti prazni kot bi bilo, če bi dodali nov vnos v obstoječo zbirko podatkov.
  • Ni omejitev glede vrstnega reda 'glav stolpcev'. Password Safe bo uporabil bo uporabil priloženo naslovno vrstico za pravilno dodajanje navedenih podatkov v desno polje.

Oblike datumov

Naslov stolpca/Polje | Komentarji
Naslov stolpca/Polje | Če so prisotne, so skupine ločene po obdobjih ('.'). Polje za naslov ne sme biti nedoločeno, prazno ali vsebovati ločilnega znaka.
Uporabniško ime
Geslo | Ne sme biti nedoločeno ali prazno.
URL
Samodejna vrsta
Čas nastanka | Glejte opombo 1 spodaj
Čas spremembe gesla | Glejte opombo 1 spodaj
Čas zadnjega dostopa | Glejte opombo 1 spodaj
Datum poteka veljavnosti gesla | Glejte opombo 1 spodaj
Interval spremembe gesla | Glejte opombo 1 spodaj
Čas spremembe zapisa | Glejte opombo 1 spodaj
Pravilnik gesel | Glejte opombo 3 spodaj
Zgodovina | Glejte opombo 2 spodaj
Ukaz za zagon
DCA | = 'Akcija dvoklika'. Glejte opombo 4 spodaj
Shift+DCA | = 'Akcija dvoklika'. Glejte opombo 4 spodaj
e-pošta
Zaščiti
Simboli
Opombe
  • Polje Opombe mora biti zaprto z dvojnimi narekovaji ("kot je tole").
  • Polje Opombe ne sme vsebovati ločilnih znakov, saj se ob uvozu prevede v novo vrstico.

Opombe: 1

Časovna polja je lahko v eni izmed naslednjih 7 oblik:

1. | LLLL/MM/DD UU:MM:SS | npr., 2007/01/26 19:31:25
2. | ddd mm DD uu:mm:ss LLLL | npr., Pet Jan 26 19:31:25 2007
3. | llll-MM-dd-t:mm:ss | npr., 2007-01-26-T 19:31:25
4. | llll-MM-ddthh:mm:ss (samo XML) | npr., 2007-01-26T 19:31:25Z
5. | llll-MM-ddtuu:mm:ss±uu:mm (samo XML) | npr., 2007-01-26ti19:31:25+01:00
6. | 0 | Pusti polje nenastavljeno
7. | zdaj | Uporabi čas uvoznega postopka

where:

llll | Leto v celoti. Vrednost je med letoma 1970 in 2038.
MM | Mesec; npr. 01 = Januar, 02 = Februar itn.
dd | Dan v mesecu
MMM | Kratka oblika meseca; npr. Jan = Januar, Feb = Februar itn.
ddd | Kratka oblika dneva v tednu; npr. Pon = Ponedeljek, Tor = Torek, itn.
hh | Ura z 24-urami.
mm | minute
ss | sekunde

Opombe: Format '2' je izhod iz ANSI C funkcije 'asctime' in format '3' jev skladu s standardom ISO 8601.

Opombe: 2

Zgodovina gesel je v izvoznem zapisu vnesena kot besedilno polje, ki vsebuje glavo, ki mu sledi zahtevano število vnosov starih gesel:

Glava zgodovine gesel:

  • 1 heksadecimalna številka - stanje za shranjevanje PWH za ta vnos (0 = ne; 1 = da)
  • 2 heksadecimalni številki - največje število vnosov v tem vnosu
  • 2 heksadecimalni številki - število trenutno shranjenih vnosov

Vsak vnos zgodovine gesel:

  • 8 heksadecimalnih številk - nastavljena je bila beseda časa oldpassword
  • 4 heksadecimalnih številk - dolžina starega gesla
  • niz znakov - staro geslo>

Opombe: 3

Pravilnik za geslo je v izvoženih zapisih v obliki prikazan kot besedilno polje 'ffffnnnllluuudddsss' v šesnajstiškem formatu, npr. 'F000010004002005003'. 6 Šestnajstiške vrednosti so v tej obliki. Prva vrednost ima 4 števke, vsa ostala 3.

'ffffnnnllluuudddsss' pomeni podrobno:

  • ffff : 4 šestnajstiške številke, ki predstavljajo naslednje zastavice
    • 0x8000: uporablja male črke
    • 0x4000: uporabite velike črke
    • 0x2000: uporabite številke
    • 0x1000: uporabite simbole
    • 0x0800: uporabite samo šesnajstiške (0-9,a-f) znake (če je nastavljeno, potem ni mogoče nastaviti nobene druge zastavice)
    • 0x0400: uporabite črke EasyVision gesla
    • 0x0200: uporabite najmanj 16 znakov, ki jih je mogoče izgovarjati
    • 0x01FF: ni uporabljeno
  • nnn : 3 šestnajstiških številk: celotna dolžina gesla
  • lll : 3 šestnajstiških številk: geslo najmanjše število malih črk
  • uuu : 3 šestnajstiških številk: geslo najmanjše število velikih črk
  • ddd : 3 šestnajstiških številk: najmanjše število mestnih znakov za geslo
  • sss : 3 šestnajstiških številk: najmanjše število simbolnih znakov gesla

Pravilnik gesel 'F000010004002005003' pomeni

  • F000 : uporabite male črke, velike črke, znake in znake
  • 010 : uporabite najmanj 16 (decimalnih) znakov
  • 004 : uporabite najmanj 4 male črke
  • 002 : uporabite vsaj 2 veliki črki
  • 005 : uporabite vsaj 5-mestnih znakov
  • 003 : uporabite najmanj 3 simbole

Opombe: 4

Naslednje vrednosti za Akcija dvoklika so na voljo:

  • -1: Uporabi zbirko podatkov privzeto
  • 0: Kopiraj geslo v odložišče
  • 1: Prikažu/Uredi izbran evnos
  • 2: Samodejna vrsta
  • 3: Prebrskaj URL
  • 4: Kopiraj opombe v odložišče
  • 5: Kopiraj uporabniško ime v odložišče
  • 6: Kopiraj geslo v odložišče, pomanjšaj
  • 7: Prebrskaj URL + Samodejna vrsta
  • 8: Zaženi ukaz
  • 9: Pošlji e-pošto


Preferences

Nastavitve Password Safe

Tako kot številne druge aplikacije, Password Safe dovoljuje nastavitve njegovega delovanja in videza, da najbolje prilagodite svoj okus in potrebe. Mnoge aplikacije shranjujejo nastavitve v registru operacijskega sistema Windows kot konvencionalno in priročno obliko. Prejšnje različice programa Password Safe so tudi uporabljale tudi, vendar se je izkazalo, da je to težavno zaradi naslednjih razlogov:

  • Nekatere nastavljive nastavitve so povezane z varnostjo in so shranjene v odprtih delih sistema kot je Windows register, kar lahko omogoči napadalcu dostop do nezavarovane zbirke podatkov (npr., če je napadalec onemogočil zaklepanje zbirke podatkov po določenem času uporabnikove nedejavnosti, bi uporabnik domneval, da je bila zbirka podatkov varno zaklenjena med kosilom medtem, ko bi napadalec lahko v tem času neovirano dostopal do nje).
  • Veliko ljudi uporablja Password Safe z diska na ključku ali drugače izmenjujejo isto zbirko podatkov na več napravah. Na tak način ni praktično niti enostavno deliti konfiguracijskih podatkov v Windows registru.

Password Safe ima več nastavitev, vsako z razumno privzeto vrednostjo. Kadar uporabnik spremeni konfiguracijo na vrednost, ki ni privzeta, se bo nova vrednost shranila s Password Safe.

Password Safe opredeljuje nastavitve na tiste, ki so povezane z varnostjo in tiste, ki niso povezane z varnostjo. Prve so shranjene v podatkovni zbirki ter šifrirane z istim ključem kot uporabnikovi podatki.

Nastavitve, ki niso povezane z varnostjo, so shranjene v konfiguracijski datoteki pwsafe.cfg. Ta datoteka je v XML formatu, z razdelki na gostiteljski stroj in na uporabnika. Zato to datoteko lahko delijo različni uporabniki in na različnih računalnikih.

Privzeto je pwsafe.cfg datoteka shranjena v istem imeniku kjer se nahaja tudi izvedljiva datoteka pwsafe.exe programa. Čepa je nastavljena spremenljivka okolja PWS_PREFSDIR, bo pwsafe uporabil tam shranjeno konfiguracijsko datoteko. To je uporabno za primere, ko je omejena pravica dostopa do imenika namestitve pwsafe.exe (Poglejte tudi opis možnosti -g v razdelku Argumenti ukazne vrstice) in "wrapper" scriptne/batch datoteke na prenosni napravi (npr. disk-na-ključku) po potrebi, nastavitvi konfiguracije Mapa/Imenik.

Naslednja tabela opisuje vnose nastavitev. Večino jih je mogoče nastaviti prek pogovornega okna "Upravljaj → Možnosti". Ker za shranjevanje teh vrednosti uporabljamo XML, so imena polj občutljiva na (m/V) male in velike črke. Shranjene nastavitve v datoteki "pwsafe.cfg" se uporabljajo za vse odprte zbirke podatkov. Tiste, ki so shranjene v zbirki podatkov veljajo le za to določeno zbirko podatkov. V operacijskem sistemu Windows Vista in kasneje je datoteko pwsafe.cfg mogoče najti v mapi: "C:\Users\<username>\AppData\Local\PasswordSafe" vendar, pod Windows XP jo je mogoče najti v: "C:\Documents and Settings\<username>\Application Data\PasswordSafe". Upoštevajte, da sta obe mapi skriti in bo potrebno spremeniti lastnosi 'Prikaz' mape, za omogočitev njihovega prikaza.

Opombe:
  • Zastarele nastavitve niso navedene.
  • V konfiguracijski datoteki ali podatkovni zbirki so shranjene samo ne-privzete vrednosti nastavitev.

Opozorilo: Ročno NE spreminjajte nobeno nastavitev v datoteki pwsafe.cfg, saj to lahko to povzroči nepričakovane ali nepredvidljive rezultate. Čeprav smo si prizadevali, da bi preverili vse nastavitve, ki jih berete, ne moremo zagotoviti tega, da ročno popravljene vrednosti ne bodo povzročile težave.

Posebne nastavitve zbirke podatkov

Upoštevajte, da se nastavitve zbirke podatkov shranijo samo v zbirki podatkov, če se njihove vrednosti razlikuje od njihovih privzetih vrednosti.

Boolean (true ('1')/false '(0')) nastavitve so v abecednem zaporedju

Nastavitev | Privzeto | Komentar
CopyPasswordWhenBrowseToURL | false | Kopira geslo vnosa v odložišče pri klicu "Prebrskaj v URL" vnosa
LockDBOnIdleTimeout | true | Zaklene zbirko podatkov, če uporabnik ni uporabil svoj računalnik določeno število minut. Poglejte celoštevilčno nastavitev "IdleTimeout" za prag te vrednosti v minutah.
MaintainDateTimeStamps | false | Če je zbirka v načinu Branje//Pisanje se zapiše čas zadnjega dostopa
PWMakePronounceable | false | Pravilnik ustvarjanja gesla - pretvori generirana gesla, da jih lahko izgovarjate
PWUseDigits | true | Pravilnik ustvarjanja gesla - uporabi števila
PWUseEasyVision | false | Pravilnik ustvarjanja gesla - uporabie Easy-Vision znake, tako da se en znak ne zamenja z drugim.Npr. številka 0 (nič) in črka O (velika črka O) itd.
PWUseHexDigits | false | Pravilnik ustvarjanja gesla - ustvari geslo samo s šestnajstiškimi znaki (vedno celo število)
PWUseLowercase | true | Pravilnik ustvarjanja gesla - uporabi znake malih črk
PWUseSymbols | true | Pravilnik ustvarjanja gesla - uporabi simbole
PWUseUppercase | true | Pravilnik ustvarjanja gesla - uporabi znake VELIKIH črk
SaveImmediately | true | Shrani zbirko podatkov po vsaki spremembi
SavePasswordHistory | false | Shrani stare gesla za vnos, ko je dodeljeno novo geslo
ShowDragbar | true | Prikaže Dragbar
ShowNotesDefault | false | Prikaže Opombe v Dodaj/Uredi
ShowPasswordInTree | false | Geslo je prikazano v prikazu drevesa (zahteva uporabniško ime za prikaz)
ShowPWDefault | false | Geslo je privzeto prikazano v Dodaj/Uredi
ShowUsernameInTree | true | Uporabniško ime je prikazano v Prikazu drevesa
UseDefaultUser | false | Med dodajanjem novega besedila uporbi privzeto nastavitev besedila

Numerične nastavitve po abecednem vrstnem redu

Nastavitev | Privzeto | Najm. | Najv. | Komentar
IdleTimeout | 5 | 1 | 600 | Prag določitve zaklepanja (v minutah) Password Safe med nedejavnostjo.
NumPWHistoryDefault | 3 | 0 | 255 | Koliko gesel bo ohranjenih v polju zgodovine gesel
PWDefaultLength | 12 | 4 | 1024 | Privzeta dolžina gesla
PWDigitMinLength | 0 | 0 | 1024 | Privzeto najmanjše število znakov v ustvarjenem geslu
PWLowercaseMinLength | 0 | 0 | 1024 | Privzeto najmanjše število znakov malih črk v ustvarjenem geslu
PWSymbolMinLength | 0 | 0 | 1024 | Privzeto najmanjše število simbolov v ustvarjenem geslu
PWUppercaseMinLength | 0 | 0 | 1024 | Privzeto najmanjše število znakov VELIKIH črk v ustvarjenem geslu
TreeDisplayStatusAtOpen | AllCollapsed | brez | brez | Vrednosti so: AllCollapsed, AllExpanded ali AsPerLastSave

Nastavitve besedila v abecednem vrstnem redu

Nastavitev | Privzeto | Komentar
DefaultAutotypeString | \u\t\p\t\n | Privzeti niz Samodejne vrste zbirke podatkov. Upoštevajte, da lahko vsak vnos preglasi to vrednost
DefaultSymbols | <brez> | Privzeti seznam simbolov, ki se uporabljajo pri ustvarjanju gesla s simboli. Opomba: vsak vnos lahko preglasi to vrednost.
DefaultUsername | <brez> | Privzeta vrednost polja Uporabniško ime med ustvarjanjem novih vnosov
TreeListSampleText | "AaBbYyZz 0O1IlL" | Vzorec besedila za uporabo med odločanjem o tem katera pisava bo uporabljena v Prikazu drevesa

Nastavitve, povezane z aplikacijo, shranjene v konfiguracijski datoteki (pwsafe.cfg)

Upoštevajte, da se nastavitve shranjene samo, če so njihove vrednosti razlikujejoe od njenih privzetih vrednosti. Te nastavitve veljajo za vse zbirke podatkov na določenem računalniku za določenega uporabnika.

Boolean (true ('1')/false '(0')) nastavitve po abecednem vrstnem redu

Nastavitev | Privzeto | Komentar
AlwaysOnTop | false | Glavno okno je vedno na vrhu
BackupBeforeEverySave | true | Preimenuje trenutno zbirko podatkov z nastavitvami varnostnga kopiranja, pred shranjevanjem vseh njenih sprememb.
ClearClipboardOnExit | true | Počisti podadke v odložišču Password Safe , po končanem delu s Password Safe
ClearClipboardOnMinimize | true | Ob pomanjšanju Password Safe počisti vsebino odložišča
DatabaseClear | false | Ob pomanjšanju Password Safe, zaklene zbirko podatkov, kar predstavlja čiščenje zbirke podatkov iz pomnilnika
DefaultOpenRO | false | Privzeto nastavi potrditveno polje samo-za-branje med odpiranjem podatkovnih zbirk
deletequestion | false | Ne vpraša za potrditev med brisanjem enega vnosa
dontaskquestion | false | Ne vpraša za potrditev med kopiranjem gesla v odložišče
EscExits | true | Tipka ESC bo zaprla zbirko podatkov in zaprla Password Safe (če se ne uporablja programska vrstica)
ExplorerTypeTree | false | Prikaže skupine najprej v Prikazu drevesa
HideSystemTray | false | Skrije ikono Password Safe v programski vrstici. Nastavljeno je lahko le, če je uporabnik že nastavil vročo tipko
HighlightChanges | true | Označi spremenjene, neshranjene vnose v modri barvi
HotKeyEnabled | false | True je, če je uporabnik določil vročo tipko za hiter dostop do Password Safe
ListSortAscending | true | Zadnja smer razvrstitve v Prikazu seznama (naraščajoče [true] ali padajoče [false])
ListViewGridLines | false | Prikaže mrežne črte v Prikazu seznama
LockOnWindowLock | true | Zaklene Password Safe zbirko podatkov, ko uporabnik zaklene njuno Windows sejo
MinimizeOnAutotype | true | Pomanjša Password Safe med Samodejno vrsto. Podatkovna zbirka je morda tudi zaklenjena, odvisno od nastavitve za zaklepanje ob pomanjšanju
MRUOnFileMenu | true | Nedavno uporabljene zbirke podatkov so prikazane v meniju 'Datoteka' ali v ali v njuem lastnem podmeniju iz menija 'Datoteka'
MultipleInstances | true | Dovoli več primerkov Password Safe, ki jih je mogoče zagnati. Sprememba te vrednosti bo zahtevala ponovni zagon Password Safe, da se uveljavijo spremembe.
NotesWordWrap | true | Prelom vrstic Opomb bo prikazan v prikaznem območju opomb med Dodaj/Uredi
PreExpiryWarn | false | Opozori uporabnika na zbirko podatkov, če so potekli vsi vpisi ali, če bodo kmalu potekla gesla
QuerySetDef | true | Vsakič, ko dodaja vnos vpraša uporabnika, če želi uporabiti uporabniško ime za vse nove vnose
ShowDragbar | true | Prikaže Dragbar
ShowFindToolBarOnOpen | true | Prikaže orodno vrstico 'Najdi', ko se Password Safe zažene. To je določeno s stanjem te orodne vrstice, ko je nazadnje bil Password Safe zaprt
ShowNotesAsToolTipsInViews | false | Prikaže Opombe vnosa kot namig v Prikazu drevesa in Prikazu seznama (prikazano bo le prvih 250 znakov)
ShowToolbar | true | Prikaže orodno vrstico
UseNewToolbar | true | Uporabi Novo ali Klasično orodno vrstico
UsePrimarySelectionForClipboard | false | Določa, katero odložišče bo uporabljeno (samo za Linux)
UseSystemTray | true | Postavi ikono Password Safe v programsko vrstico sistema Windows

Numerične nastavitve po abecednem vrstnem redu

Nastavitev | Privzeto | Najm. | Najv. | Komentar
AddEditFontPtSz | brez | 0 | brez | Velikost pisave za Dodaj/Uredi, v desedinah točk
BackupMaxIncremented | 1 | 1 | 999 | Velja le, če se za pripono varnostne kopije uporablja prirastna številka
BackupSuffix | 0 | brez | brez | Vrednosti so: Brez, Datum-čas ali Prirastna številka
column1width | brez | brez | brez | Širina prvega stolpca v Prikazu seznama, ko je bil Password Safe nazadnje zaprt
column2width | brez | brez | brez | Širina drugega stolpca v Prikazu seznama, ko je bil Password Safe nazadnje zaprt
column3width | brez | brez | brez | Širina tretjega stolpca v Prikazu seznama, ko je bil Password Safe nazadnje zaprt
column4width | brez | brez | brez | Širina četrtega stolpca v Prikazu seznama, ko je bil Password Safe nazadnje zaprt
DlgOrientation | 0 | 0 | 2 | Kako izbrati široko ali visoko pogovorno okno: 0 - Samodejno (privzeto), 1 - Vsili visoko, 2 - Vsili široko.
DoubleClickAction | Copy Password | brez | brez | Oglejte si Pomoč vnosa DCA vrednosti izvoza
HotKey | brez | brez | brez | Vrednost vroče tipke. Do in vključno z različico Password Safe 3.42.1, se shrani kot decimalno število, ustvarjeno iz navidezne kode ključa za znak v spodnji besedi in oznako Microsoft Foundation razred CHotKeyCtrl modidifikator zastavic v višji besedi. Po različici 3.42.1, je preferenčni element povečan z atributi XML, ki se uporabljajo za nastavitev navidezne ključne kode in oznak za modifikatorje zastavic (npr., Ctrl="1" Tipka="30") v notranjem Password Safe formatu ki se lahko uporablja na drugih platformah.
maxmruitems | 4 | 0 | 20 | Število zadnjih zbirk podatkov, shranjenih v meniju Datoteka
MaxREItems | 25 | 0 | 25 | Največje število "Nedavno uporabljeni vnosi", ki bo shranjeno v zbirko podatkov in prikazano iz ikone programske vrstice za dovoljen njihov hiter dostop
NotesFontPtSz | brez | 0 | brez | Velikost pisave Opomb v desetinah točk
OptShortcutColumnWidth | 92 | 10 | 512 | Velikost stolpcev v zavihku Upravljaj → Možnosti → Bližnjice
PasswordFontPtSz | brez | 0 | brez | Velikost pisave Gesla v desetinah točk
PreExpiryWarnDays | 1 | 1 | 30 | Kdaj opozoriti na gesla, ki čakajo na potek časa (v dneh)
sortedcolumn | 0 | 0 | 15 | Prejšnji stolpec, ki je bil uporabljen za razvrščanje Prikaza seznama
ShiftDoubleClickAction | Kopirja geslod | brez | brez | Oglejte si pomoč za vnos DCA vrednosti izvoza
TreeFontPtSz | brez | 0 | brez | Velikost Prikaza drevesa in Prikaza seznama v desetinah točke
VKFontPtSz | brez | 0 | brez | Velikost pisave Navidezne tipkovnice v desetinah točke

Besedilne nastavitve v abecednem vrstnem redu

Nastavitev | Privzeto | Komentar
AddEditFont | <brez>, ki ustreza Segoe UI znaku velikosti 10 točk v Windows | Podatek o uporabljeni pisavi za prikaz polj v Dodaj/Uredi lastnosti strani
AddEditSampleText | "AaBbYyZz 0O1IlL" | Vzorec besedila za uporabo pri odločanju o tem, katero pisavo želite uporabiti pri dodajanju ali urejanju vnosov
AltBrowser | <brez> | Popolna pot do nadomestnega brskalnika
AltBrowserCmdLineParms | <brez> | Posebni parametri ukazne vrstice za nadomestni brskalnik, če je določen. NE zaprite to vrednost z enojnimi ali dvojnimi narekovaji razen, če jih izbrani brskalnik zahteva.
AltNotesEditor | <brez> | Celotna pot do urejevalnika besedila bo uporabljena za urejanje vnosov v polju Opombe namesto Windows privzete aplikacije .
AltNotesEditorCmdLineParms | <brez> | Posebni parametri ukazne vrstice za nadomestni urejevalnik besedila, če je določen. NE zaprite to vrednost z enojnimi ali dvojnimi narekovaji razen, če jih izbrani zunanji urejevalnik zahteva.
BackupDir | <brez> | Običajno se varnostne kopije zbirke podatkov shranijo v istem imeniku kot je zbirka podatkov. To se lahko preglasi z uporabo te nastavitve
BackupPrefixValue | <brez> | Običajno se trenutno ime zbirke podatkov uporablja za predpone vseh imen varnostnih kopij. To se lahko preglasi z uporabo te nastavitve
ColumnWidths | <nič> | Ne-privzeta širina stolpca v prikazu seznama
currentbackup | <brez> | Pot in ime datoteke varnostne kopije
currentfile | <brez> | Trenutna (npr. zadnja) odprta datoteka
LanguageFile | <brez> | Koda zadnje jezikovne datoteke, ki jo uporablja uporabnik. To je ena oblika "LL" ali "LL_CC", kjer LL = ISO 639-1 vsebuje dva znaka kode jezika npr. EN, FR, DE, HE... poglejte http://www.loc.gov/standards/iso639-2/ in CC = ISO 3166-1 dva-znaka kode države npr. US, GB, FR, CA... poglejte http://www.iso.org/iso/en/prods-services/iso3166ma/index.html
lastview | drevo | Zadnji izbran prikaz: Prikaz Drevesa ali Seznama ("drevo" ali "seznam")
LastUsedKeyboard | <brez> | Shrani kodo zadnje uporabljene Navidezne tipkovnice
ListColumns | <brez> | Noe-privzeto zaporedje stolpcev v Prikazu seznama. Upoštevajte, da so številke stolpcev, ločene z vejico, odraz notranjega številčenja polj in jih ni mogoče ročno urejati
MainToolBarButtons | <brez> | Seznam gumbov v orodni vrstici in njihovo zaporedje, kot to določi uporabnik. Ločilo je prikazano kot ~
NotesFont | <brez>, ki ustreza Segoe UI Symbol 10 točk v operacijskem sistemu Windows | Informacije o pisavi, uporabljeni za prikaz polja Opombe v osovni lastnosti strani Dodaj/Uredi
NotesSampleText | "AaBbYyZz 0O1IlL" | Primer besedila za uporabo pri odločanju o uporabi pisave za prikaz polja Opombe v osnovni lastnosti strani Dodaj/Uredi
PasswordFont | <brez>, ki ustreza Consolas 12 točk v operacijskem sistemu Windows | Informacije o pisavi, uporabljeni za prikaz gesla
PswdSampleText | "AaBbYyZz 0O1IlL" | Primer besedila za uporabo pri odločanju o uporabi pisave za prikaz gesel
treefont | <brez>, ki ustreza Segoe UI pisavi 10 točk v operacijskem sistemu Windows | Informacije o pisavi, uporabljeni za prikaz Drevesa in Seznama
TreeListSampleText | "AaBbYyZz 0O1IlL" | Primer besedila za uporabo pri odločanju o uporabi pisave za Prikaz drevesa in Prikaz seznama
VKeyboardFontName | <brez> | Ime Unicode pisave, ki bo uporabljena za prikaz vseh znakov na navidezni tipkovnici. To vključuje latinske in ne-latinske znake
VKSampleText | "AaBbYyZz 0O1IlL" | Primer besedila za uporabo pri odločanju o uporabi pisave Navidezne tipkovnice


Run Command

An entry's 'Run Command' field can contain a command that will be run when the Run Command action is selected. Anything that you can do in Windows' "Start → Run" can be used here.

In addition, Password Safe is able to pass arguments to the command such as the entry's username, password, etc., as described below. This allows you to 'program' fairly complex actions, such as invoking a remote access program (PuTTY, for example) and passing it the username and password associated with the entry.

In general, 'variables' are replaced with values associated with them before being passed to the computer for execution. The dollar ('$') sign is used to indicate a variable.

  • Variables are specified as '$name' and are case sensitive. Variable names always start with an alphabetic character and the remaining characters are alphanumeric. The variable name is terminated either by encountering a non-alphanumeric character (such as a space) or the end of the Run Command.
    • To use a variable immediately followed by an alphanumeric character in the Run Command, enclose the variable's name in curly brackets e.g., '${varname}string'.
    • To use a '$' in the string as normal text (not indicating that the following text is a variable name), escape it using a back-slash ('\') e.g., '\$text' becomes '$text' and is not treated as a variable called 'text'.
    • To use a back-slash before a '$' as a back-slash, escape it with a back-slash e.g. '\\$name' becomes '\$name' in the resulting text and '$name' is treated as a variable. A back-slash does not have to be escaped unless it precedes a '$' indicating a following variable.
    • A variable may be followed by a numerical value within square brackets is called an 'Index value'. The index value 'n' can be preceded by '+' or '-' e.g. [-2] or [2] or [+2]. Password Safe treats an index that equates to zero as meaning the entire field.
  • The following variables are currently recognised:
    • Application related:
      • appdir Directory containing the Password Safe application. See notes 1 & 2 below.
    • Database related:
      • dbdir | Directory of current open database. See notes 1 & 2 below.
fulldb | Full path, filename and extension of current open database. See note 2 below.
dbname | Current open database filename.
dbextn | Current open database extension.
    • Current entry related:
      • g or group | Group (full tree structure back to root with groups separated by periods).
G or GROUP | The group containing this entry.
t or title | Title
u or user | Username
p or password | Password
e or email | e-mail
a or autotype | AutoType. See Note 5 below.
url | URL
n or n[0] | The complete Notes field (also: notes or notes[0]). See note 3 below.
n[i] or notes[i] | ith line of the Notes field counting from the start, i.e., i=1 is the first line, i=2 means the second line etc. See note 4 below.
n[-i] or notes[-i] | ith line of the Notes field counting from the end, i.e., i=1 is the last line, i=2 means the penultimate line etc. See note 4 below.
      Notes
      1 | Directory values (appdir or dbdir) do not have an ending '\'. Remember to add this if you need it in your Run Command.
      2 | The contents of variables (including directory and full path values) may contain blanks. You may need to enclose the result in quotes in your Run Command for correct execution.
      3 | If the Notes field contains more than one line, it will include any embedded carriage return (CR) or line feed (LF). This may cause issues when executed as CR and/or LF will be taken as 'enter'.
      4 | Any trailing CR and/or LF are removed from single lines selected from the Notes field.
      5 If the AutoType variable is present in the Run Command, AutoType will be performed once the target window is active. The variable and its value, if present, will be removed from the string that is executed. This variable can appear anywhere in the Run Command as it only specifies what Password Safe will do after the command string has been executed. Unlike other variables, this one will be able to take a value to override the entry's current value. The format is as follows ('$autotype' can replace '$a' in the following examples):
      $a | Use current entry value.
${a} | Use current entry value (used if text immediately follows the '$a' variable).
$a(value) | Use AutoType string specified between the round brackets.
${a}(value) | Use AutoType string specified between the round brackets.

      Note: Be sure to add quotes around your string if required e.g., if your database directory contains spaces, to access a text file in it based on your open database name, you would need the following (with quotes):

      '$dbdir\\$dbname.txt'

      Notice that the backslash is escaped so that the '$dbname' is recognised as a variable.

      On Windows, the normal substitution of environment variables (specified as %variable_name%) is performed. For example: '%windir%\notepad.exe' could become (depending on your installation) 'C:\Windows\notepad.exe'. Current values set in your environment can be determined by running 'cmd.exe' and issuing the 'set' command without any parameters. Any unknown environment variable is left unchanged in the Run Command e.g., %xyz%\notepad.exe remains as %xyz%\notepad.exe if variable 'xyz' is not set. Note: Windows environment variables are not case sensitive.

Examples

  • The following Run Command will cause the Putty program to connect to myHost giving the entry's username and password:
    "C:\Program Files\PuTTY\putty.exe" -ssh ${u}@myHost 22 -pw $p
  • This will open a new instance of Password Safe with the specified database (Thanks to Dave for this one):
     ${autotype}(\p\n)"${appdir}\pwsafe.exe" \UNC\path\to\database.psafe3
    • Make sure Manage → Options → System "Allow multiple instances" is checked for this to work
    • You might also want to set the Double-Click Action for this entry to "Run Command"


Shortcut Keys

Bližnjice s tipkovniso/Tipka za pospeševanje

V nadaljevanju so podrobnosti in omejitve, ki se uporabljajo za prilagojene bližnjične tipke Password Safe.

Te kombinacije tipk so bile testirane na razširjeni angleški tipkovnici s 102 tipkami. Standardni znaki morajo delovati na kateri koli drugi tipkovnici z latinskimi znaki. Nekatere ključne kombinacije so lahko različne na teh tipkovnicah -na angleški tipkovnici # simbol ima lastno tipko (s tildo ~), vendar je na ameriški tipkovnici nad tipko 3 (to je, Shift + 3). Prosimo, preberite to tabelo in po potrebi prevedite na svojo specifično tipkovnico. Vedno lahko preizkusite, ali bo določena kombinacija tipk delala na vaši tipkovnici.

Odvisno od vašega jezika, ekatere tipke s tipko Alt so rezervirane. To ustreza črkam, ki se uporabljajo za klic v glavnem meniju. Če pritisnete tipko Alt na glavnem zaslonu, bodo ti znaki označeni kot podčrtani. Za angleščino bi to bilo Alt+F (File), Alt+E (Edit), Alt+V (View), Alt+M (Manage) in Alt+H (Help). Za druge jezike si oglejte te črke, podčrtane v glavnem meniju, da ugotovite, kaj bo rezervirano za vas. Na primer, v nemščini "File" postane "Datei", zato bo namesto Alt+F rezerviran Alt+D.

Tipka Enter je tudi rezervirana, saj se uporablja za nastavitev vrednosti bližnjice v zavihku "Upravljaj → Možnosti → Bližnjice". Zato tetipke ni mogoče dodeliti. Upoštevajte, da funkcijo "Razširi/strni skupino" v načinu prikaza drevesa dosežete tako, da izberete skupino in pritisnete tipko Enter. Čeprav bi bilo mogoče tega spremeniti kot katero koli drugo veljavno bližnjico, bi bila uporaba tipke Enter še vedno aktivna, saj je funkcija prikaza drevesa. Zaradi tega razloga te funkcije ni mogoče spreminjati prek strani Lastnosti bližnjic.

Tipka Escape je rezervirana, saj jo lahko uporabite, da zaprete orodno vrstico 'Najdi' ali za pomanjšanje okna Password Safe v programsko vrstico (ali za izhod iz aplikacije, če ni uporabljena programska vrstica). Prav tako je enako uporabi gumba Prekliči v katerem koli pogovornem oknu.

Z oblikovanjem, vrednost bližnice za ogled vnosa v načinu samo-za-branje je enaka za Urejanje vnosa v načinu branje-pisanje. Ne morejo biti nastavljeni neodvisno. Podobno je, 'Izbriši vnos' enako kot 'Izbriši skupino' in 'Preimenuj vnos' je enako kot 'Preimenuj skupino'. Te so prikazane na strani lastnosti bližnjice kot 'Izbriši' oziroma 'Preimenuj'.

Nekatere tipke so rezervirane s sistemom Windows - na primer Ctrl+Alt+Delete; Tab; Shift+Tab; Alt+Tab; Alt+Shift+Tab itn.

Ne-standardne tipke niso podprte (npr., tiste samo na tipkovnici Kanji).

Password Safe nastavitev bližnjice na prepozna razliko med med tipkami Alt, Ctrl in Shift na levi strani tipkovnice od tistih na desni. Na nekaterih tipkovnicah lahko nekatere kombinacije tipk niso na voljo. Na primer, simbol Euro na angleški 102 razširjeni tipkovnici je desna tipka Alt (AltGr) in tipka 4. Vendar pa s pritiskom te kombinacije pride do bližnjice do Ctrl+Alt+4. Tako deluje Microsoftova obdelava vročih tipk in ni omejitev Password Safe.

Opomba: Če nastavite nestandardne tipke, lahko te posebne bližnjice ne bodo na voljo, če nato uporabite drug računalnik s tipkovnico, ki nima teh tipk. Priporočamo vam, da izberete samo tukaj navedene kombinacije tipk.

V spodnji tabeli pomenijo naslovi stolpcev:

Naslov | Pomeni pritisk
K | Samo tipka
A+K | Tipka s tipko Alt
C+K | Tipka s Ctrl tipko
S+K | Tipka s Shift tipko
A+S+K | Tipka z Alt in Shift tipkama
C+S+K | Tipka s Ctrl in Shift tipkama
A+C+K | Tipka z Alt in Ctrl tipkama
A+C+S+K | Tipka z Alt, Ctrl in Shift tipkami

Ime tipke | K | A+K | C+K | S+K | A+S+K | C+S+K | A+C+K | A+C+S+K
Vračalka | D | N | D | D | N | D | D | D
Tab | N | N | D | N | N | D | D | D
Enter | R (1) | N | D | N | N | D | D | D
Escape | N | N | N | N | N | N | N | N
Preslednica | D | N | D | D | N | D | D | D
Stran gor | D | D | N | D | D | N | N | N
Stran dol | D | D | N | D | D | N | N | N
End | D | D | D | D | D | D | D | D
Home | D | D | D | D | D | D | D | D
Puščica v levo | D | D | D | D | D | D | D | D
Puščica navzgor | D | D | D | D | D | D | D | D
Puščica v desno | D | D | D | D | D | D | D | D
Puščica navzdol | D | D | D | D | D | D | D | D
Print Screen | N | N | N | N | N | N | N | N
Insert | D | D | D | D | D | D | D | D
Delete | D | N | D | D | N | D | N | D
0-9 | D | D | D | D | D | D | D | D
A-Z | D | D | R (2) | D | D | D | D | D
Številčnica 0-9 | D | D | D | N | D | N | D | N
Številčnica* | D | D | D | D | D | D | D | D
Številčnica + | D | D | D | D | D | D | D | D
Številčnica - | D | D | D | D | D | D | D | D
Številčnica . | D | D | D | N | N | N | N | N
Številčnica / | D | D | D | D | D | D | D | D
F1 | R (3) | D | D | D | D | D | D | D
F2 | D | D | D | D | D | D | D | D
F3 | D | D | D | D | D | D | D | D
F4 | D | R (2) | D | D | D | D | D | D
F5 | D | D | D | D | D | D | D | D
F6 | D | D | D | D | D | D | D | D
F7 | D | D | D | D | D | D | D | D
F8 | D | D | D | D | D | D | D | D
F9 | D | D | D | D | D | D | D | D
F10 | D | D | D | D | D | D | D | D
F11 | D | D | D | D | D | D | D | D
F12 | D | D | D | D | D | D | D | D
Num Lock | D | D | N | D | N | D | D | D
Scroll Lock | D | D | D | D | D | D | D | D
; : (4) | D | D | D | D | D | D | D | D
+ = | D | D | D | D | D | D | D | D
, < | D | D | D | D | D | D | D | D
- _ | D | D | D | D | D | D | D | D
. > | D | D | D | D | D | D | D | D
/ ? (4) | D | D | D | D | D | D | D | D
# ~ (4) | D | D | D | D | D | D | D | D
[ { (4) | D | D | D | D | D | D | D | D
\ | (4) | D | D | D | D | D | D | D | D
] } (4) | D | D | D | D | D | D | D | D
' @ (4) | D | D | D | D | D | D | D | D
` ¬ (4) | D | D | D | D | D | D | D | D

Opombe:

  1. Ker je tipka Enter nastavljena za bližnjico, ji ni mogoče dodeliti nobene funkcije.
  2. Ctrl+Q in Alt+F4 sta rezervirani za obstoječo aplikacijo Password Safe.
  3. F1 je rezervirana za Pomoč.
  4. To je odvisno od tipkovnice.


Entry Icons

Ikone vnosa

Naslednje sliko so uporabljene za prikaz vrste vnosa v prikazih Drevesa in Seznama. Opomba: te slike so vedno prikazane v Prikazu drevesa. V Prikazu seznama je lahko dodan ali odstranjen stolpec Ikona z izbirnikom stolpcev vendar je ta lahko le v 1. stolpcu.

Skupina [Prikaz drevesa samo]

Prazna skupina [Prikaz drevesa samo]

Normalen vnos

Normalen vnos s kratkimi imeni

Normalen vnos z bližnjicami

Kratko ime

Bližnjica

Poleg tega, normalen vnos lahko ima datum poteka postavljen na njegovo geslo. Če uporabnik določi interval opozorila na npr. 5 dni pred potekom gesla, bo slika spremenjena v svetlo violično barvo.

Normalen vnos - geslo bo poteklo znotraj določenega intervala uporabnika

Normalen vnos s kratkimi imeni - geslo bo poteklo znotraj določenega intervala uporabnika

Normalen vnos z bližnjicami - geslo bo poteklo znotraj določenega intervala uporabnika

Ko bo vnos potekel, bo popolnoma vijoličen.

Normalen vnos - geslo je poteklo

Normalen vnos s kratkimi imeni - geslo je poteklo

Normalen vnos z bližnjicami - geslo je poteklo


Credits

Program Credits

Zahvaljujem se Bruce Schneierju za izdelavo Twofish algoritma in za javno objavo Password Safe in SourceForge.net za gostovanje projekta in podporo Open Source skupnosti.
Password Safe različice 3.29 in kasnejše uporabljajo pugixml za razčlenitev konfiguracijske datoteke aplikacije. Koda za pugixml je na voljo pod MIT licenco.
Password Safe različice 3.12 in kasnejše uporabljajo algoritem, ki so ga ustvarili Tom Van Vleck, Morrie Gasser in Dan Edwards za izdelavo izgovorljivih gesel.

Povezave, ki sledijo, vodijo do različnih strani na spletnem mestu SourceForge v projekt Password Safe:

  • Password Safe Domača stran: Informacije in novice o Password Safe, kot tudi obvestila o stanju projekta in novih objavah. Domača stran vzdržuje Brad Chance - Hvala Brad!
  • Razvojna ekipa: Samo nekatere osebe, ki so pomagale razvijati in ohranjati Password Safe.
  • Forum Password Safe: Forum za vprašanja, podporo in težave.
  • Novice Password Safe: RSS viri, ki so na voljo za ta projekt.
  • Majhnši obseg (približno eno sporočilo vsak mesec ali tako) brez neželene pošte za obvetila Password Safe in stran s seznami pošte uporabnikov.


Advanced field selection criteria

Napredna merila za izbiro polj

Preko Čarovnika med primerjanjem, združevanjem, sinhroniziranjem in izvozom v besedilo/XML

Ko izberete na strani "Izbor zbirke podatkov ali datoteke", boste imeli možnost omejiti primerjavo, združevanje, sinhronizacijo ali izvoz na podlagi izbranih meril. Prav tako boste lahko omejili, katera polja bodo primerjana, sinhronizirana ali izvožena.

Tukaj določena merila za določeno funkcijo se zapomnijo za to sejo Gesla in so medsebojno neodvisne. Če zaprete in zapustite Password Safe ter ga nato ponovno zaženete, bodo ponastavljena na 'brez omejitev' in ustrezna privzeta polja za te funkcije.

Če navedete kakršne koli omejitve ali izbor polj, vendar jih tokrat ne želite uporabiti, potem pritisnite na gumb 'Nazaj' in odstranite izbiro "Napredna merila za izbiro polj" na strani "Čarovnik za izbor zbirke podatkov ali datoteke". Vrednosti, ki ste jih določili za "Napredna merila za izbiro polj" bodo še vedno ostale, vendar se ne bodo uporabljale.

Če želite te vrednosti ponastaviti na privzeto funkcijo, pritisnite na gumb 'Ponastavi'.Ponastavitvev vrednosti za, recimo 'Primerjaj' ne bo ponastavilo vrednosti drugih podprtih funkcij, npr. Združi, Sinhroniziraj ali Izvozi.

Preko gumba v orodni vrsti 'Najdi'

Ko izberete gumb 'Napredno' na orodni vrstici 'Najdi', boste imeli možnost omejiti iskanje na podlagi izbranih kriterijev. Prav tako boste lahko omejili, katera polja se pregledajo.

Tukaj navedena merila za iskanje se zapomnijo za to sejo Gesla neodvisno od zgoraj nevedenih. Če zaprete in zapustite Password Safe in ga znova zaženete, bodo ponastavljena na 'brez omejitev' tudi ustrezna privzeta polja za iskanje.

Če določite omejitve ali izbor polja, vendar jih tokrat ne želite uporabiti potem bodisi pritisnite na gumb 'Prekliči' ali pritisnite gumb 'Vredu' in počistite izbor gumba 'Napredno' na orodni vrstici 'najdi'. Vrednosti, ki ste jih določili za "Napredna merila za izbor polja" bodo še vedno ostale, vendar se ne bodo uporabljale.

Če želite ponastaviti te vrednosti na privzeto za iskanje, pritisnite na gumb 'Ponastavi'. Ponastavitev iskalnih vrednosti ne bo ponastavila vrednosti drugih zgoraj navedenih funkcij.

Sinhronizacija vnosov pri pregledu rezultatov primerjav podatkovnih zbirk

Po primerjavi dveh podatkovnih zbirk, če ti nista enaki, se prikaže pogovorno okno Rezultati primerjave. Z desnim klikom na 'D' je ustrezen stolpec, se prikaže priročni meni. Za vnose v trenutni zbirki podatkov, je edina dovoljena možnost, da neposredno uredite ((pogled, če je bila baza podatkov odprta v načinu samo za branje) ta vnos. Za vnose v primerjalni zbirki podatkov so možnosti Prikaži, Kopiraj v izvirno zbirko podatkov in Sinhroniziraj..

Če je izbrana Sinhronizacija, potem se prikaže malo pogovorno okno 'Napredno', ki omogoča uporabniku, da izbere, katera polja se bodo sinhronizirala.

Tukaj navedena merila za iskanje se zapomnijo za to sejo Gesla neodvisno od zgoraj nevedenih. Če zaprete in zapustite Password Safe in ga znova zaženete, bodo ponastavljena tudi ustrezna privzeta polja teh funkcij.


Compare Results

Primerjaj rezultate

Compare Results dialog

Po primerjavi dveh podatkovnih zbirk, če so bile najdene morebitne razlike, je prikazano zgornje pogovorno okno. Opomba: Primerjana so samo polja, ki jih je izbral uporabnik, zato bi lahko podatkovna zbirka bila prikazana kot enaka, če niso bila izbrana ustrezna polja, ki se ne primerjajo. Privzeto se primerjajo, vsa polja. Vendar, če med primerjavo izberete drugačen nabor prek pogovornega okna Napredne nastavitve, bodo ta polja primerjana samo med tem pozivom Password Safe razen, če se znova spremenijo prek pogovornega okna Napredne nastavitve. Enako velja za vse funkcije čarovnika, čeprav so vrednosti neodvisne:

  • Primerjaj
  • Izvozi v besedilo (celotno zbirko podatkov ali en sam vnos)
  • Izvozi v XML (celotno zbirko podatkov ali en sam vnos)
  • Združi
  • Sinhroniziraj

Uporabnik ima na voljo več možnosti, če so bile ugotovljene razlike:

  • Desni klik na vnos v trenutni zbirki podatkov (prvi stolpec):
    • Uredi vnos, v zbirki podatkov, če je podatkovna zbirka v načinu B/P in obstoječi vnos ni zaščiten
    • Prikaži vnos, če je podatkovna zbirka v načinu S_B ali je vnos zaščiten
  • Desni klik na vnos v primerjalni zbirki podatkov(drugi stolpec):
    • Ogled vnosa (primerjalna zbirka podatkov je vedno v načinu S-B, ker ne moremo zagotoviti možnosti za razveljavitev, če je spremenjena).
    • Kopiraj vnos v trenutno zbirko podatkov, prepiše enakovreden vnos tam, če je trenutna podatkovna zbirka v načinu B/P in obstoječi vnos ni zaščiten.
    • Synchroniziraj vnos z njegovim enakovrednim vnosom v trenutni zbirki podatkov , če je trenutna podatkovna zbirka v načinu B/P in obstoječi vnos ni zaščiten.
    • Če je vnos v obeh podatkovnih zbirkah in vsebuje, potem lahko uporabite tudi "Primerjaj vnose", kar bo prikazalo vsa polja in njihovo vsebino, ki kažejo na razlike.

Poleg tega je v primerjalni zbirki možno izbrati več vnosov (levi klik v drugem stolpcu s pritisnjeno tipko Ctrl za drugi in nadaljnje vnose). Ko je številka enkrat izbrana lahko bodisi "Kopiraj vse" vnose iz trenutne zbirke podatkov ali "Sinhroniziraj vse" izmed teh z enakovrednimi vnosi v trenutni zbirki podatkov. Opomba: Sinhronizacija bo dovoljena le, če so vsi izbrani vnosi tudi v trenutni zbirki podatkov. Zaščiten vnos v trenutni zbirki podatkov ni mogoče vključiti v večkratni izbor, ker ga ni mogoče spremeniti. Kot v glavnem prikazu drevesa, polje Naslov ima dodano '#' njegovi vrednosti, če je vnos zaščiten.


Named Password Policies

PasswordSafe V3.28 and later provide the facility to create and manage Named Password Policies via the "Manage → Password Policies..." menu item. These are database specific and are stored in the database header. This menu also replaces the setting of the database defaults via the "Manage → Options" menu item.

Named Password Policies dialog

Via this dialog, one can edit the current database default password policy and create, edit or delete any new "Named" policies. Also, you cannot delete a named policy that is being used by at least one entry in the database. After selecting a policy, its details will be shown below. You can also List the entries referencing a Named Password Policy by clicking on the List button and then go back to its details by clicking on the Details button. If the list of entries is displayed, you can double click on an entry to edit/view it.

Change Database's Default Password Policy

When the database's default policy is selected, you may use the Edit button to change its values. The following dialog is shown.

Edit database default password Policy dialog

Add a New Named Password Policy

By selecting the New button, the following dialog is used to add a new Named Password Policy. The initial values are taken from the current database's default password policy. In addition to the normal checks on the consistency of the information you enter, you must also provide a unique name (within this database) for this policy. Note: The name cannot exceed 255 characters in length.

Add a named password policies dialog

Edit an Existing Named Password Policy

When a Named Password Policy is selected, you may use the Edit button to change its values and the following dialog is shown. You may not change the name of an existing Named Password Policy.

Edit a named password policies dialog

Add/Edit entry and the Generate Password functions

The Add/Edit entry function and the "Manage → Generate Password" function have both been updated to allow an entry to use a named policy or to allow the generation of a random password using a Named policy. One reason to keep unused Named Password Policies is to allow them to be used only to generate random passwords.

Testing a Password Policy

You may select the default or any defined Named Password Policy and click the Test button to create a random password using its rules. You may also then copy this to the clipboard.

Read-Only Databases

If the database is in read-only mode, you may not add a new Named Password Policy, edit the database default policy or an existing Named Password Policy nor delete an unused Named Password Policy. You may, however, View both the default and other policies. Any changes made to this policy whilst viewing will not be saved.

Undo/Redo

You may use the Undo and Redo buttons (or the shortcuts Ctrl+Z and Ctrl+Y [or the equivalent ones if you have changed them via the "Manage → Options" Shortcut property page]) to Undo any changes you have made on this dialog e.g. changed the policy values of the database default policy or a Named Password Policy, added a new or deleted an unused Named Password Policy. If you have undone a change, you can Redo it as long as you have not made another change in between. Changes are not saved in the database until you press OK to exit this dialog.

XML and Text Import/Export

When a database is exported to XML (whether it is a specific subset of the entries in the database or the whole database), all the Named Password Policies in the current database are also exported. During the subsequent import of that XML file, all the Named Password Policies are also imported into the current database. If a Named Password Policy of the same name already exists in the current database and it has the same policy settings as that being imported, then it will be used by any entries referencing it when they are imported. However, if the imported Named Password Policy has different policy settings to that in the database with the same name, then the policy will be imported with the words "Imported - datetime" appended to its name (where the 'datetime' is the date/time of the Import) and all imported entries referring to it will now reference the newly named policy.

When importing a XML file, if the any record references a Named Password Policy that does not exist in the current database (or in the XML file being imported), then the entry will be changed to use the current database default policy. Warning messages will be placed in the Import log show which entries have been affected.

When exporting to a Text file, the name of any referenced Named Password Policy is also exported. However, there is no facility to also export the values contained in these Named Password Policies.

Due to the above restriction, when importing a Text file, if the any record references a Named Password Policy that does not exist in the current database, then the entry will be changed to use the current database default policy. Warning messages will be placed in the Import log show which entries have been affected.

Merge and Drag & Drop

When a whole or subset of a database is merged into the current database, any Named Password Policy referenced by the entries being merged will be brought across from the source database. If a Named Password Policy of the same name already exists in the current database and it has the same policy settings as that being copied across, then it will be used by any entries referencing is are merged. However, if the imported Named Password Policy has different policy settings to that in the database with the same name, then it will be imported with the word "Merged - datetime" appended to its name (where the 'datetime' is the date/time of the Merge) and all entries referring to it will now reference the newly named policy.

Similarly, when one or more entries are dragged from another database and dropped into the current database except "Drag - datetime" will be used to make the Named Password Policy unique.


Wizard Finish

Konec Čarovnika

Medtem, ko se izvaja izbrana funkcija (Primerjaj, Združi, Sinhroniziraj ali Izvozi), bo na tej strani prikazana bodisi uporabljena zbirka podatkov (Primerjaj, Združi in Sinhroniziraj) ali pa datoteka v katero je opravljeno pisanje (Izvozi v besedilo ali XML). Prikazan bo tudi napredek, s prikazom vnosa, ki se trenutno obdeluje (v obliki «Skupina» «Naslov» «Uporabnik»). Med tem postopkom ne bo omogočen gumb "Prikaži poročilo" niti "Končaj".

Po zaključku poročila si ga lahko ogledate in/ali zapustite Čarovnika. V pogovornem oknu Prikaz ga lahko shranite na disk (shranjen bo v istem imeniku kot trenutna zbirka podatkov) in/ali kopirate njegovo vsebino v odložišče. Če bo shranjeno na disk, ga lahko znova prikažete prek menija "Prikaz → Poročila". Upoštevajte, da bodo pri shranjevanju na disk prepisane vse prejšnje datoteke poročila za to funkcijo, ki jih najdete v tem imeniku . Opomba: Poročilo lahko vsebuje občutljive podatke. Zato morate biti pazljivi pri izbiri možnosti "shrani na disk".


Wizard Select Database or File

Čarovnik za izbor zbirke podatkov ali datotke

Primerjaj, združi ali sinhroniziraj

Pri izvajanju operacij Primerjaj, Združi ali Sinhroniziraj zbirke podatkov morate navesti ime zbirke podatkov, ki jo želite primerjati z trenutno odprto zbirko podatkov, združiti s trenutno odprto zbirko podatkov ali sinhronizirati s trenutno odprto zbirko podatkov.

Zahtevano geslo je tista nova zbirka podatkov in ne trenutno odprt zbirka podatkov.

Izvozi v besedilo ali XML

Ko izvajate Izvoz trenutne zbirke podatkov v golo besedilo ali XML datoteko, morate podati ime datoteke, ki jo želite ustvariti ali prepisati (pozvani boste, da potrdite, ali želite zamenjati obstoječo datoteko).

Zahtevano geslo je trenutno odprta zbirka podatkov.

Navesti morate tudi znak, ki bo uporabljen za označitev preloma vrstice v Opombe, tako da ga bo mogoče pravilno urejati, ko bo uvoženo. Pri uvozu v golo besedilno datoteko bo ta znak tudi uporabljen za zamenjavo obdobja (.) v polju Naslov tako da se pravilna struktura drevesa ponovno ustvari pri uvozu (Opomba: Za ločevanje skupin se uporablja obdobje).

Napredna merila za izbiro polja

V vseh primerih imate možnost izbrati "Napredna merila za izbiro polja", ki bo prikazalo dodatno Napredno stran. Ta vam bo omogočila, da omejite delovanje te funkcije glede na vsebino polj Skupina, Naslov, Uporabniško ime, URL ali Opombe in/ali na to katera polja primerjate, združujete, sinhronizirate ali izvozite.

Z izbiro 'Nazaj' se boste vrnili v prvi zavihek Čarovnika kjer lahko odtranite izbiro "Napredni izbor polja", če želite izvoziti vse vnose in vsa njihova polja.

Opomba 1: Pri izvozu posameznega vnosa prek menija Uredi ali priročnega menija (desni klik na vnos), očitno ni na voljo možnost omejitve izvoza glede na vsebino polj Skupina, Naslov, Uporabniško ime, URL ali Opombe.

Opomba 2: Kadar Združujete zbirko podatkov s trenutno odprto zbirko podatkov, ne boste mogli omejiti, katera polja vnosov se združijo ali kopirajo. Če vnos izpolnjuje vaša izbirna merila, se bo celoten vnos združi s trenutno zbirko podatkov.